Summary: The Linux kernel (the core of the Linux operating system).
Name: kernel

### zurukko.
%define _unpackaged_files_terminate_build 0

### Version defines
%global momorel 4
%global rel %{momorel}m
#%%global rcver 3
#%%global rel 0.%{rcver}.%{momorel}m

  ## http://www.kernel.org/
%global srcversion 2.4.27
%global kversion   2.4.27

  ## ftp://ftp.linux-ipv6.org/pub/usagi/daily-snap/
%global usagibase          2.4.27
%global usagisnapver_month 200408
%global usagisnapver_day   18
%global usagisnapver       %{usagisnapver_month}%{usagisnapver_day}

  ## http://www.sourceforge.net/projects/acpi/
#%%global newacpibase 2.4.26
#%%global newacpiver  20040326

  ## http://sourceforge.net/projects/swsusp/
%global swsusp_ver 2.0

  ## http://www.alsa-project.org/
%global ALSAbasever   1.0.6a
##%global ALSArcver     rc1
#
# Please choose one of the followings for use ALSAver
#%%global ALSAver   %{ALSAbasever}%{ALSArcver}
%global ALSAver   %{ALSAbasever}

  ## http://www.xfree86.org/~alanh
%global drmver 4.3.0

  ## http://secure.netroedge.com/~lm78/
  ## http://www.ensicaen.ismra.fr/~delvare/devel/i2c/
%global i2cver 2.8.4

  ## http://bytesex.org/bttv/
%global bttvver 0.9.15

  ## http://bytesex.org/saa7134/
%global saa7134ver 0.2.12

  ## http://www.linux1394.org/viewcvs/branches/linux-2.4/
%global ieee1394_svn 1076

  ## Intel centrino wireless driver
  ## http://ipw2100.sourceforge.net/
%global ipw2100_base 2.4.25
%global ipw2100_ver  0.45

  ## POSIX ACL
  ## http://acl.bestbits.at/

%global acl_base 2.4.25
%global acl_ver  0.8.71

%global mkinitrd_ver 3.4.33

  ## http://oss.sgi.com/projects/kdb/
%global kdb_ver 4.3

  ## http://sourceforge.net/projects/madwifi/
%global madwifi_base 20040309

  ## http://cvs.arm.linux.org.uk/
%global cpufreq_ver 20040509

  ## http://ppc.linux.or.jp/~ipenguin/unicon/
%global unicon_ver 3.0.3

  ## megaraid ftp://ftp.lsil.com/pub/linux-megaraid/
%global megaraid_maj_ver 1
%global megaraid_min_ver 18k
%global megaraid2_ver 2.10.3

  ## libata (SATA drivers)
%global libata_base 2.4.27-pre1
%global libata_ver  2

  ## linux-ntfs http://sourceforge.net/projects/linux-ntfs/
%global ntfs_base 2.4.26
%global ntfs_ver  2.1.6b

%global _debug            0

### Constant defines
%global fileprefix kernel
%global KVERREL %{kversion}-%{PACKAGE_RELEASE}

### include local configuration
%{?include_specopt}

### default configurations
# If you'd like to change these configurations, please copy them to
# ~/rpm/specopt/kernel.specopt and edit it.

## Configuration
%{?!config_debug:         %global config_debug         1}
%{?!kdb:                  %global kdb                  1}
%{?!acpi_debug:           %global acpi_debug           0}
%{?!preemptible_kernel:   %global preemptible_kernel   0}
%{?!additionalciphers:    %global additionalciphers    0}
%{?!v4l2:                 %global v4l2                 0}
%{?!xcast6:               %global xcast6               0}
%{?!variable_HZ:          %global variable_HZ          1}
%{?!CONFIG_HZ:            %global CONFIG_HZ         1000}
%{?!oom_killer:           %global oom_killer           0}
%{?!swsusp2:              %global swsusp2              0}

## Generic kernel packages

%{?!buildboot:            %global buildboot 1}

%{?!buildup:              %global buildup   1}
%{?!buildsmp:             %global buildsmp  1}

## Additional kernel packages

# intel
%{?!copper:               %global copper    1}
%{?!coppersmp:            %global coppersmp 1}
%{?!pen4:                 %global pen4      1}
%{?!pen4smp:              %global pen4smp   1}
%{?!amdk7:                %global amdk7     1}
%{?!amdk7smp:             %global amdk7smp  1}
%{?!icc:                  %global icc       0}
%{?!iccsmp:               %global iccsmp    0}

# alpha
%{?!nautilus:             %global nautilus  0}
%{?!dp264:                %global dp264     0}
%{?!dp264smp:             %global dp264smp  0}
%{?!wildfire:             %global wildfire  0}

### Sanity-check for defines

%ifarch %{ix86} alphaev5 ppc
%global nautilus 0
%global dp264 0
%global dp264smp 0
%global wildfire 0
%endif

%ifarch alpha alphaev5 ppc
%global copper 0
%global coppersmp 0
%global pen4 0
%global pen4smp 0
%global amdk7 0
%global amdk7smp 0
%global icc 0
%global iccsmp 0
%endif

%ifarch alphaev5
%global buildsmp 0
%endif

%if ! %{usagi_ipv6}
%global xcast6 0
%endif

%if ! %{config_debug}
%global kdb 0
%endif


### Macro of Packages Lists
%global kernel_prereq_pkgs sh-utils, fileutils, tar, gzip modutils >= 2.4.19 mkinitrd >= %{mkinitrd_ver}
%global kernel_req_pkgs    initscripts >= 7.10-16m dev >= 3.3-6m quota >= 3.09
%global kernel_prov_pkgs   alsa-driver = %{ALSAver} i2c-driver = %{i2cver} module-info kernel-drm = %{drmver}
%global kernel_obso_pkgs   kernel-modules kernel-sparc alsa-driver isapnptools isapnptools-devel


### Constant Headers
Group: System Environment/Kernel
License: GPL
BuildPreReq: sed autoconf texinfo sharutils
BuildPreReq: unzip
BuildRequires: momonga-rpmmacros >= 20040310-6m
BuildRequires: rpm >= 4.0.4-53m
ExclusiveArch: i386 i486 i586 i686 athlon alpha alphaev5 ppc
ExclusiveOS: Linux
Autoreqprov: no
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}


### Define-dependent headers

Version: %{kversion}
Release: %{rel}
URL: http://www.kernel.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%ifarch ppc
%global buildcc gcc_2_95_3
BuildRequires: gcc2.95.3
%else
%if %{icc} || %{iccsmp}
%global buildcc icc
%else
%global buildcc gcc
BuildRequires: gcc
%endif
%endif


############################################################
############# Source #######################################
############################################################
## >>source

%NoSource 0 ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{srcversion}.tar.bz2 59a2e6fde1d110e2ffa20351ac8b4d9e
%NoSource 2 ftp://ftp.alsa-project.org/pub/driver/alsa-driver-%{ALSAver}.tar.bz2 e5baf4561d250c2bdee62332b216c5fc
%NoSource 4 http://dl.bytesex.org/releases/video4linux/bttv-%{bttvver}.tar.gz da10dfd2432149cbd60ab6b8df9dbf91
%NoSource 5 http://dl.bytesex.org/releases/video4linux/saa7134-%{saa7134ver}.tar.gz a4fb3fb92d53085fc2696d2f0d2d2416
Source6: unicon-%{unicon_ver}-release.tar.gz
Source7: http://www.xfree86.org/~alanh/linux-drm-%{drmver}-kernelsource.tar.gz

# http://sourceforge.net/projects/madwifi/
Source9: madwifi-cvs-%{madwifi_base}.tar.bz2

# http://cvs.arm.linux.org.uk/
# %%NoSource 10 ftp://ftp.linux.org.uk/pub/linux/cpufreq/cpufreq-LINUX_2_4-%{cpufreq_ver}.tar.bz2 3373711057d815f1cd3829b148aa0045
Source10: ftp://ftp.linux.org.uk/pub/linux/cpufreq/cpufreq-LINUX_2_4-%{cpufreq_ver}.tar.bz2
NoSource: 10

Source11: module-info
# Source12: installkernel
Source13: rhkmvtag.c
Source15: momonga_logo.h

%if %{additionalciphers}
# to avoid license/patent issue, this file must be NoSource.
# %%NoSource 50 http://www.kernel.org/pub/linux/kernel/people/hvr/testing/patch-int-2.4.21.0.gz 0aca1ffb24d173dfc20bf1b7753d9611
Source50: http://www.kernel.org/pub/linux/kernel/people/hvr/testing/patch-int-2.4.21.0.gz
NoSource: 50
# why we can not use %%NoSource method?
%endif

Source100: kernel-2.4-i586-BOOT.config
Source101: kernel-2.4-i586.config
Source103: kernel-2.4-i586-cm.config
Source105: kernel-2.4-i586-p4.config
Source102: kernel-2.4-i586-smp.config
Source104: kernel-2.4-i586-cm-smp.config
Source106: kernel-2.4-i586-p4-smp.config
Source107: kernel-2.4-i586-k7.config
Source108: kernel-2.4-i586-k7-smp.config
Source209: kernel-2.4-i586-icc.config
Source210: kernel-2.4-i586-icc-smp.config

Source110: kernel-2.4-alpha-BOOT.config
Source111: kernel-2.4-alpha.config
Source112: kernel-2.4-alpha-smp.config
Source113: kernel-2.4-alphaev5-BOOT.config
Source114: kernel-2.4-alphaev5.config
Source115: kernel-2.4-alpha-nautilus.config
Source116: kernel-2.4-alpha-dp264.config
Source117: kernel-2.4-alpha-dp264-smp.config
Source118: kernel-2.4-alpha-wildfire.config

Source120: kernel-2.4-ppc-BOOT.config
Source121: kernel-2.4-ppc.config
Source122: kernel-2.4-ppc-smp.config

# megaraid driver
%NoSource 130 ftp://ftp.lsil.com/pub/linux-megaraid/drivers/version-%{megaraid_maj_ver}.%{megaraid_min_ver}/megaraid-%{megaraid_maj_ver}%{megaraid_min_ver}.tgz 96bfe17cd133a0fc23739e3fbff9265e
%NoSource 131 ftp://ftp.lsil.com/pub/linux-megaraid/drivers/version-%{megaraid2_ver}/megaraid2.tgz a35fdcbd2f7d389785d34be4d8be5eb1

# centrino wireless driver
%NoSource 135 http://osdn.dl.sourceforge.net/sourceforge/ipw2100/ipw2100-%{ipw2100_ver}.tgz e39bccabee7adc18c5678e59236f8a59

# http://www.ratocsystems.com/products/ostaiou/linux/kondara11/cb32.html
Source150: load_fw.ratoc

# ieee1394 driver from http://www.linux1394.org/
# http://www.linux1394.org/viewcvs/branches/linux-2.4/
Source200: ieee1394-%{ieee1394_svn}.tar.bz2

##### driver for TC9020 32bit PCI 10/100/1000Mbps Ethernet MAC Controller
# http://www.tmi.com.tw/pp-TC9020.html
#%%NoSource 500 http://www.tmi.com.tw/Data/driver/TC902X_Linux.zip 5ced5bfa04aee8ab193e177b7eee5097
Source500: http://www.tmi.com.tw/Data/driver/TC902X_Linux.zip

###################################################################
# Patch Section ###################################################
###################################################################
# >>patches <-- use to search in emacs

#%%NoPatch 0 ftp://ftp.kernel.org/pub/linux/kernel/v2.4/testing/patch-2.4.26-rc%{rcver}.bz2 5f733155e793a89e4b971de5e9022b81

###### General
## lck patches
## http://www.plumlocosoft.com/kernel/
##%%NoPatch 10010 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/010-lckbase.diff.bz2 4d3f6499347744cfdf9ca2128701a879
##%%NoPatch 10011 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/011-readlatency2.diff.bz2 70b87ba9a1e6187b991cc0075ee811cd
##%%NoPatch 10012 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/012-rl2dt.diff.bz2 f8138e6cd21b9f5af1241a6d4397b94a
##%%NoPatch 10013 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/013-j64.diff.bz2 b041d7c79163f38214a7fa38ccc848e4
##%%NoPatch 10014 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/014-vhz.diff.bz2 153edbedbf33e0863d0a6b8009aab9e4
##%%NoPatch 10020 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/020-supermount-1.2.11a.diff.bz2 83a2bfba825def3e81103bc44151c184
##%%NoPatch 10021 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/021-bootsplash-3.0.7.diff.bz2 74f0d19a994d57b777da89f220cb7ec1
##%%NoPatch 10030 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/030-xattr-0.8.68.diff.bz2 6f1b11ea49a39042f1518440eee4126a
##%%NoPatch 10031 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/031-acl-0.8.70.diff.bz2 64e9c47e660e7dc2d8eaa5da62079a48
##%%NoPatch 10032 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/032-nfsacl-0.8.70.diff.bz2 b230ecf7c64d436c2e8a9439e47e9dc1
##%%NoPatch 10033 http://www.plumlocosoft.com/kernel/patches/2.4/2.4.25/2.4.25-lck1/components/033-ntfs-2.1.6a.diff.bz2 0e4b265e61b55d09121d4fc68c2f91c2

## newacpi patches
#%%NoPatch 1 ftp://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/patches/release/%{newacpibase}/acpi-%{newacpiver}-%{newacpibase}.diff.bz2 5d6f98ecb1f4071db1579071f162d348

# from ACPI ML(Subject: [ACPI] [Patch] DSDT in initrd)
Patch2: acpi-dsdt-initrd-v0.3-acpi-20040211.patch

#  As processor throttling is broken in ich3-m b0-step, it has to be disabled.
Patch3: ich3m1.2.acpi.patch
# This patch makes ACPI clean up even quicker after an interrupt has been recevied
Patch4: lowerlatency.3.acpi.diff

# aggregate cpufreq patch + patch5 = new patch5
Patch5: momonga-cpufreq-20031203-2.patch
Patch6: momonga-cpufreq-20031203-2-fix-for-2.4.26-rc3.patch

Patch7: acpi-ecdt-toriaezu-2.patch

## ACPI Driver for Toshiba laptop. 
# see http://memebeam.org/toys/ToshibaAcpiDriver
#Patch9: toshiba_acpi_0.15-linux_2.5.69.patch


## variable HZ
%NoPatch 18 http://www.kernel.org/pub/linux/kernel/people/rml/variable-HZ/v2.4/variable-hz-rml-2.4.20-pre10-ac2-1.patch 33df1dff7a353480ae769b827af1a141
# dummy patch for other patches not to be rejected if variable HZ patch is not applied
Patch19: variable-hz-dummy.patch

## swsusp patch
# http://sourceforge.net/projects/swsusp/
%NoPatch 4000 http://umn.dl.sourceforge.net/sourceforge/swsusp/software-suspend-core-%{swsusp_ver}-whole.bz2 801a3e1d348876b78cb757730922854e
Patch4001: http://umn.dl.sourceforge.net/sourceforge/swsusp/software-suspend-core-2.0.0.60-incremental.bz2

# from swsusp-devel ML
Patch4002: momonga-linux-2.4.22-swsusp-1.1-rc10-bugfix.patch
# Patch4003: momonga-linux-2.4.22-swsusp-1.1-rc10-bootsplash-bugfix.patch
Patch4004: linux-2.4.21rc2-swsusp-md.patch

#based on Patch4005: http://umn.dl.sourceforge.net/sourceforge/swsusp/software-suspend-linux-2.4.26-test7-whole.bz2
Patch4010: mo-software-suspend-linux-2.4.26-test7-whole2.bz2
#
#based on
# http://www.sfo.jp/debian/patch/swsusp/swsusp-2.0-linux-2.4.23-xfs.patch
Patch4011: swsusp-2.0-xfs-mo3.patch
Patch4012: swsusp-2.0-xfs-mo4.patch

## cpufreq
# http://www.poupinou.org/cpufreq/
# cvs -d:pserver:cvs@pubcvs.arm.linux.org.uk:/mnt/src/cvsroot co -rLINUX_2_4 cpufreq

## POSIX ACL
%NoPatch 13 http://acl.bestbits.at/current/diff/ea-%{acl_base}-%{acl_ver}.diff.gz 4f44b535072e73a0b87d6c3e588cf78b
%NoPatch 14 http://acl.bestbits.at/current/diff/acl-%{acl_base}-%{acl_ver}.diff.gz a65baff265397a700b6b14e929ebed62
%NoPatch 15 http://acl.bestbits.at/current/diff/nfsacl-%{acl_base}-%{acl_ver}.diff.gz ede79d741c0d3527567b5fc034e7a148
%NoPatch 16 http://acl.bestbits.at/current/diff/sec-%{acl_base}-%{acl_ver}.diff.gz bca7cf15dadd0137f81595c3fee8d518


#%%NoPatch 20 http://www.kernel.org/pub/linux/kernel/people/rml/preempt-kernel/v2.4/preempt-kernel-rml-2.4.21-1.patch 39f24bdadb912bb5b5312cc2d25f5f32

Patch22: apm-power-off.patch
Patch23: alpha.ksyms.resove.patch

## bootsplash patch
# http://www.bootsplash.org/
# based on ftp://ftp.suse.com/pub/people/stepan/bootsplash/kernel/bootsplash-3.0.7-2.4.20-vanilla.diff
Patch25: bootsplash-3.0.7-2.4.21-rc2.diff

%NoPatch 26 http://www.kernel.org/pub/linux/kernel/people/andrea/kernels/v2.4/2.4.23aa2/10_rawio-vary-io-21 2002a536c0502c51a0d0da3558005020

## kdb http://oss.sgi.com/projects/kdb/
#%%NoPatch 28 ftp://oss.sgi.com/www/projects/kdb/download/v4.3/kdb-v4.3-2.4.25-common-1.bz2 d47f391fadcd8e53b44606d2a91ab0d8
# based on above patch
#
Patch27: kdb-v4.3-2.4.25-common-1mo.bz2
Patch28: kdb-v4.3-2.4.25-common-1mo-noswsusp.bz2
#
%NoPatch 29 ftp://oss.sgi.com/www/projects/kdb/download/v4.3/kdb-v4.3-2.4.25-i386-1.bz2 aed2991d81c99ff00a5142de4017f76b
#%%NoPatch 30 ftp://oss.sgi.com/www/projects/kdb/download/v4.3/kdb-v4.3-2.4.25-ia64-040218-1.bz2 9dd3c82ee44b37e7b888e7b75a9ce1fb

## kallsyms patch
# ( kernel-2.4.22-1.2174.nptl.src.rpm from fedora )
Patch31: momonga-linux-2.4.25-kallsyms-2.patch
Patch32: momonga-linux-2.4.25-kallsyms-2-noswsup.patch

##### Filesystem
## ext3 fix
#   http://www.zipworld.com.au/~akpm/linux/ext3/
# Patch30105: online-ext3-2.4.20.patch

## sgi xfs
# ftp://oss.sgi.com/projects/xfs/download/patches/
#
# xfs is merged into vanilla kernel source

## smbfs
# from http://www.hojdpunkten.ac.se/054/samba/index.html


## ntfs
# http://mlf.linux.rulez.org/mlf/ezaz/ntfsresize.html
%NoPatch 37 http://umn.dl.sourceforge.net/sourceforge/linux-ntfs/linux-%{ntfs_base}-ntfs-%{ntfs_ver}.patch.bz2 9365eab592a150ce5aed3b5ecc555f53

## nfsd
#%%NoPatch 38 http://www.fys.uio.no/~trondmy/src/2.4.21/linux-2.4.21-NFS_ALL.dif cec132d75bb25ee73ea8dc6f1c53aa54

## reiserfs


## packet write
# http://lists.suse.com/archive/packet-writing/2003-Jun/0009.html
#Patch39: http://w1.894.telia.com/~u89404340/patches/packet/2.4/packet-2.4.27-rc2.patch.bz2
#NoPatch: 39
Patch39: packet-2.4.27-rc2.patch

## IPV6
%NoPatch 40 ftp://ftp.linux-ipv6.org/pub/usagi/daily-snap/%{usagisnapver_month}/linux24-%{usagibase}-usagi-%{usagisnapver}.patch.gz  3d34b320e1002697b1581a4049b7b970

Patch41: kernel-2.4.25-usagi-compare-bool.patch
# Patch42001: linux24-2.4.22-usagi-20030902_to_20031006.patch

Patch42002: cryptoapi-2.4.20.1-additional-cipher.patch

# xcast6
# http://homepage2.nifty.com/tkuro/archive/usagi-stable-4.1-xcast6.diff.gz
Patch42010: linux-2.4.23-usagi-snap-20031204-xcast6-0.1.5.2.diff

## ipvs
%NoPatch 45 http://www.ssi.bg/~ja/hidden-2.4.26-1.diff d75c835c1a739759b6c641b74445b9c3

## FreeSwan
# ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-1.9.1.tar.gz
#Patch46: linux-2.4.16-freeswan-1.9.1.patch
#
# ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-2.06.tar.gz
Patch46: linux-2.4.16-freeswan-1.9.1.patch
 
## cipe
# http://sites.inka.de/~W1011/sw/cipe-1.5.2.tar.gz
Patch47: linux-2.4.13-cipe-1.5.2.patch
# http://sites.inka.de/bigred/archive/cipe-l/2002-01/msg00011.html
Patch48: cipe-1.5.2-security-fix-2002-01-07.patch
Patch49: linux-2.4.18-pre8-cipe-fix.patch

## netfileter
## http://roeder.goe.net/~koepi/newnat.html
# thanks to Dai OKUYAMA [devel.ja:01596]
Patch50: http://roeder.goe.net/~koepi/newnat/helpers-2.4.21.patch.gz

## ebtables(iptables like tool for ethernet filtering and bridge filtering)
# http://ebtables.sourceforge.net/
# original is http://heanet.dl.sourceforge.net/sourceforge/ebtables/ebtables-brnf-5_vs_2.4.25.diff.gz 4001205ecb11c95c269129cc6ce866f8
Patch50100: momonga-ebtables-brnf-6_vs_2.4.27.diff

Patch51: http://www.polbox.com/h/hs001/linux-2.4.26-mppe-mppc-1.0.patch.gz
Patch52: linux-2.4.13-promisc-2.patch
# [security]
Patch53: linux-zlib_double_free-ipsec.patch

# [security] http://online.securityfocus.com/bid/5178
Patch54: linux-2.4.18-file-max-limit-DoS.patch

##### IDE Drivers
# 
# Patch56: linux-2.4.22-ide.patch
#

Patch57: via-vt6410-ide.patch
#Patch58: ftp://ftp.kernel.org/pub/linux/kernel/people/jgarzik/libata/%{libata_base}-libata%{libata_ver}.patch.bz2
Patch58: momonga-2.4.28-pre1-libata.patch
Patch59: momonga-linux-2.4.25-SII_3112-libata.patch

##### Network Drivers

# tc902x
Patch60: momonga-linux-2.4.22-pre8-tc902x.v203.patch

Patch62: linux-G4ether.patch

## hostap driver
# http://hostap.epitest.fi/
Patch63: linux-2.4.26-rc3-hostap-cvs20030220.patch
Patch64: linux-2.4.17-mcr-u2.patch

# http://www.ozlabs.org/people/dgibson/dldwd/
Patch66: orinoco-0.13d-0.13e-03.patch
Patch67: orinoco-0.13e-0.14beta1-02.patch


##### LVM
# http://www.sistina.com/products_lvm_download.htm
# merged into vanilla kernel source

Patch71: linux-2.4.22-VFS-lock.patch


##### SCSI

# Based ftp://ftp.compaq.com/pub/products/servers/supportsoftware/linux/RedHat/
Patch81: linux-2.4.18-cciss-2.4.30.patch
Patch82: linux-2.4.18-cpqarray-2.4.21B.patch

# http://www.pc.ibm.com/qtechinfo/MIGR-39729.html?lang=en_US&page=brand&brand=root&doctype=&subtype=Cat

# http://www.garloff.de/kurt/linux/dc395/
Patch85: linux-2.4.18-dc395x-138.patch
# update dc395x from 138 to 141
#http://www.garloff.de/kurt/linux/dc395/dc395-138-139.diff.gz
#http://www.garloff.de/kurt/linux/dc395/dc395-139-140.diff.gz
#http://www.garloff.de/kurt/linux/dc395/dc395-140-141.diff.gz
Patch86: momonga-linux-2.4.21-dc395-138-141.patch

# http://www.adaptec.com/worldwide/support/driverdetail.html?sess=no&language=English+US&cat=/Product/ASC-29320-R&filekey=aic79xx-1.1.0-source.tar.gz
#Patch88: linux-2.4.20-aic79xx-1.1.0.patch

# http://secure.netroedge.com/~lm78/
# http://www.ensicaen.ismra.fr/~delvare/devel/i2c/
# generated by mkpatch.pl in http://secure.netroedge.com/~lm78/archive/i2c-2.8.4.tar.gz
Patch90: linux-2.4.25-i2c-%{i2cver}.patch
# this patch is generated by mkpatch.pl in lm_sensors-2.8.4.tar.gz
Patch91: linux-2.4.25-lm_sensors-%{i2cver}.patch

Patch9001: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-i2c-i2c-adap-ite.c.diff
Patch9002: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-i2c-i2c-algo-ite.c.diff

Patch9003: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-i2c-i2c-algo-sibyte.c.diff
Patch9004: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-i2c-i2c-sibyte.c.diff

Patch9005: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-i2c-i2c-keywest.c.diff

Patch9006: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-i2c-i2c-max1617.c.diff

Patch9007: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-i2c-scx200_acb.c.diff
Patch9008: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-i2c-scx200_i2c.c.diff

Patch9009: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-acorn-char.diff
Patch9010: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-ieee1394.diff
#Patch9011: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-media-video.diff
Patch9011: momonga-linux-2.4.25-i2c-2.8.3-drivers-media-video.diff
Patch9012: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-pcmcia.diff
Patch9013: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-usb.diff
Patch9014: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-sound-dmasound.diff
Patch9015: http://www.ensicaen.ismra.fr/~delvare/devel/i2c/linux-2.4.23/linux-2.4.23-i2c-2.8.3-drivers-video-matrox.diff

Patch92: linux-2.4.25-i2c-2.8.4-hide-symbols.patch


# megaraid2

##### USB
Patch120: usbkbd.patch
# from [Kondara-users.ja:07717]
Patch121: linux-2.4.22pre10-usb-storage-sony-ms.patch
Patch122: linux-2.4.16-correga_usb-txs.patch
# http://www.mydrivers.com/dir33/d13580.htm (linux-8150(100)1.zip)
Patch126: rtl8150-driver.patch
Patch127: rtl8150-detect-LUA-KTX.patch
Patch128: usb-storage-sony-dsc.patch
# patch for usb-storage.c and unusual_devs.h for RATOC CF03 series
# http://www.rexpccard.co.jp/products/ostaiou/linux/redhat71/cf03.html
Patch129: linux-2.4.22-cf03.patch

##### DRM
Patch140: linux-agpgart-ppc.patch
# http://cpbotha.net/dri_resume.html
Patch141: linux-2.4.20-agpgart-via-resume.patch
Patch142: linux-drm-4.3.0-fix-unresolve.patch
Patch143: 2.4.21-apg3.patch


##### PCMCIA-CS
# http://www.ratocsystems.com/products/ostaiou/linux/kondara11/cb31.html
Patch150: linux-2.4.13-ratoc-cb31-20011105.patch
# http://www.ratocsystems.com/products/ostaiou/linux/kondara11/cb32.html
Patch151: linux-2.4.13-ratoc-cb32-20011105.patch

##### ALSA
Patch210: alsa-driver-1.0.0rc2-Makefile.patch

### For i810fb
Patch600: linux-2.4.25-i810fb-0.0.35.patch

##### For ...
Patch1000: atm.horizon.ppc.patch
Patch1001: ppc.smp.h.patch
Patch1002: ymfpci.c.udelay.patch
Patch1003: comx.resolved.patch
#Patch1004: linux-2.4.5.fork.patch
Patch1005: linux-2.4.9-emu10k1.alpha.patch
Patch1008: linux-2.4.10pre4-alpha-resolve.patch
Patch1009: linux-2.4.10pre5.rme96xx.c.patch
Patch1010: linux-2.4.9ac7-scsi.h.patch
Patch1012: linux-2.4.20.sched.c.patch
Patch1013: linux-2.4.10-pre12-aironet4500_card.patch
Patch1014: linux-2.4.10-wvlan_cs-1.0.7.patch
Patch1015: wvlan_cs.fix.patch
Patch1016: linux-2.4.11-pre4-alpha-config.in.patch
Patch1017: linux-2.4.10-asm-ppc-mukimukiiraira.patch
#Patch1018: psaux-2.4.9-combined.diff
# http://www.1974.or.jp/~tm/tools.html
Patch1019: linux-2.4.21-hubcot.patch
Patch1020: hubcot.patch
Patch1021: kernel-nforce-video.patch
# Patch1022: linux-2.4.16-sym53c8xx_2_rename.patch
# Patch1023: linux-2.4.21rc1-CONFIG_DRM_SIS.patch
Patch1024: linux-2.4.17-alpha-u8163264.patch
Patch1025: linux-2.4.22-bctv4-tuner.patch

##### From RHL
#Patch1900: kondara-linux-2.4.10-pre11-changeloop.patch
Patch1900: kondara-linux-2.4.26-changeloop.patch
Patch1901: kondara-linux-2.4.22pre10-changeloop-usagi.patch
Patch1902: linux-2.4.26-ipsec-errno.patch

Patch2000: linux-2.4.0-test7-pre4-overflow.patch
Patch2001: linux-2.4.0-nonintconfig.patch
Patch2002: kernel-2.4-string.patch
Patch2003: linux-2.4.4-alpha.patch
Patch2004: linux-2.3.99p3p6-sparc.patch
Patch2008: linux-2.2.16-useio.patch
# fix copy_from/to_user error handling
#Patch2011: linux-2.4.19-pageattr.patch

# Patch2200: linux-2.4.4-qla1280.patch
Patch2201: qla2x00.patch
# linux-2.4.0-3c90x.patch
Patch2202: momonga-linux-2.4.20-3c90x.patch
# linux-2.4.3-e820.patch
Patch2203: kondara-linux-2.4.3-e820.patch
Patch2204: linux-2.4.0-raid5xor.patch
# ftp://ftp.compaq.com/pub/products/servers/supportsoftware/linux/RedHat/bcm5700-2.2.30-1.src.rpm
#Patch2205: linux-2.4.22pre10-bcm5700-2.2.30.patch
# http://www.broadcom.com/drivers/driver-sla.php?driver=570x-Linux
Patch2205: bcm5700-7.1.22-2.4.24.patch
Patch2206: linux-2.4.0-apic-quiet.patch
Patch2207: linux-2.4.1-setup_delay.patch
Patch2208: linux-2.4.1-i2o-lockup.patch
Patch2209: linux-2.4.1-netdebug.patch
# linux-2.4.2-alternateairo.patch
Patch2210: linux-2.4.20-alternateairo.patch
Patch2211: linux-2.4.20-ali-dma.patch
Patch2212: linux-2.4.2-cdrom.patch
Patch2213: linux-2.4.2-qla2x00.patch
# [linux-users:98533]
# http://www.ussg.iu.edu/hypermail/linux/kernel/0111.1/0951.html
Patch2214: new-via-check.diff
Patch2215: linux-2.4.20-gcc32.patch

###### for ppc
Patch2400: linux-2.4.18-nfsctl.c.patch
Patch2401: linux-2.4.19-8253x.patch
Patch2402: linux-2.4.20-ppc-resolve.patch

###### v4l2

%NoPatch 2500 http://dl.bytesex.org/patches/2.4.26-1/10-scsi-media-changer-2.4.26.diff.gz 856df67294ff2803e71c834e1a9ba09f
%NoPatch 2501 http://dl.bytesex.org/patches/2.4.26-1/20_v4l2-2.4.26.diff.gz beb9542cdca9bdf3e71e5f17446781cc
%NoPatch 2502 http://dl.bytesex.org/patches/2.4.26-1/30_video-buf-2.4.26.diff.gz cc1ea9d5fa3343d405377f0ff2fd4b69
%NoPatch 2503 http://dl.bytesex.org/patches/2.4.26-1/31_bt832-2.4.26.diff 8a272ba557ccb2a4992878097108bd10
#
#Patch2504 was renumbered Patch2524 and Patch2534
#
%NoPatch 2505 http://dl.bytesex.org/patches/2.4.26-1/31_ir-input-2.4.26.diff 7d2b58992dec3a3515ade91e76ed945f
%NoPatch 2506 http://dl.bytesex.org/patches/2.4.26-1/31_tuner-2.4.26.diff.gz 066fed81ad81689776b6442def59d4d7
%NoPatch 2507 http://dl.bytesex.org/patches/2.4.26-1/32_bttv-2.4.26.diff.gz 8eb351a7da3839771d2e7f11e32b043e
%NoPatch 2508 http://dl.bytesex.org/patches/2.4.26-1/33_saa7134-2.4.26.diff.gz f0ce17a362eccc01b11abc47ba9f5169
%NoPatch 2509 http://dl.bytesex.org/patches/2.4.26-1/34_cx88-2.4.26.diff.gz 1eb9072164fefd4f43fd6a035629e208
%NoPatch 2510 http://dl.bytesex.org/patches/2.4.26-1/35_documentation-2.4.26.diff.gz e76b856d58ab6d3a8ecff93b2f0ffc5c
%NoPatch 2511 http://dl.bytesex.org/patches/2.4.26-1/80_tiocgdev-2.4.26.diff e3acb40c84f3ac9ce535889b90c53245
%NoPatch 2512 http://dl.bytesex.org/patches/2.4.26-1/00_install-2.4.26.diff a8cf7485ee6b1062417b13c781c12072
%NoPatch 2513 http://dl.bytesex.org/patches/2.4.26-1/00_ppc-2.4.26.diff 7301df58d82cf400d68c3c0d1bc932f7

#%%NoPatch 2504 http://dl.bytesex.org/patches/2.4.26-1/31_i2c-2.4.26.diff.gz 465a62e29c2a47c82acd88e93488a09c
# XXX change
# ./drivers/media/video/msp3400.c.rej
# ./drivers/media/video/tvaudio.c
# XXX conflict with SWSUSP
Patch2524: momonga-31_i2c-2.4.26.diff
Patch2534: momonga-31_i2c-2.4.26-noswsup2.diff

###### UNICON
# http://ppc.linux.or.jp/~ipenguin/unicon/
Patch2600: unicon-kernel-2.4.21-rc1.patch
Patch2601: unicon-3.0.3-release-fix.patch.gz

##### for ieee1394
# Support for plugging/unplugging SCSI devices patch
%NoPatch 2700 http://www.linux1394.org/patches/scsi_add_rem.diff cd933468102d6501606bcf14490a79e0

##### misc patch
#Patch3000: momonga-kernel-2.4.21rc3-miscfix.patch

#Patch3001: linux-2.4.20-unresolved-cpu_has.patch
Patch3002: linux-2.4.21-multiline-string.patch

Patch3006: momonga-kernel-2.4.21-miscfix.patch
# add '#if defined(__KERNEL__)' in order to hide some symbols out of user land
Patch3007: linux-2.4.23-fix-wm97xx.h.patch

###### Networking

##### SK98LIN network driver
# base patch
# http://www.syskonnect.de/syskonnect/support/driver/zip/sk98lin_2.4.21_patch.gz
# Patch3101: sk98lin_2.4.22-rc2.patch

# http://www.syskonnect.de/syskonnect/support/driver/zip/linux/sk98lin_2.4.21_patch.gz

##### patches from bitkeeper
# bk://linux.bkbits.net:8080/linux-2.4


##### patches for icc enabling
Patch7000: kernel-2.4.26-icc.patch
Patch7001: alsa-driver-1.0.4-icc.patch

################# End Patches ##################################
################# Sub packages begin ###########################


%package source
Requires: kernel-headers = %{KVERREL}, glibc-devel, ncurses-devel
%ifarch %{ix86}
Requires: dev86
%endif
Summary: The source code for the Linux kernel.
Group: Development/System

%package headers
Summary: Header files for the Linux kernel.
Group: Development/System
Requires: kernel = %{KVERREL}

%package doc
Summary: Various documentation bits found in the kernel source.
Group: Documentation

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Momonga Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned to
your particular hardware, if you are so inclined (and you know what you're
doing).
#'

%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for building
most standard programs.  The header files are also needed for rebuilding
the kernel.

%description doc
This package contains documentation files form the kernel source. Various
bits of information about the Linux kernel and the device drivers shipped
with it are documented in these files. You also might want install this
package if you need a reference to the options that can be passed to Linux
kernel modules at load time.

%package smp
Summary: Kernel version %{kversion} compiled for SMP machines.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description smp
This package includes a SMP version of the Linux %{kversion} kernel. It is
required only on machines with two or more CPUs, although it should work
fine on single-CPU boxes.

%package cm-smp
Summary: Kernel version %{kversion} compiled for SMP Coppermine i686s.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description cm-smp
This package includes a specific smp-kernel for Coppermine i686.

%package cm
Summary: Kernel version %{kversion} compiled for Coppermine i686.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description cm
This package includes a specific kernel for Coppermine i686.

%package p4-smp
Summary: Kernel version %{kversion} compiled for SMP Pentium4.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description p4-smp
This package includes a specific smp-kernel for Pentium4.

%package p4
Summary: Kernel version %{kversion} compiled for Pentium4.
Group: System Environment/Kernel
Obsoletes: alsa-driver, isapnptools, isapnptools-devel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description p4
This package includes a specific kernel for Pentium4.

%package k7-smp
Summary: Kernel version %{kversion} compiled for SMP Athlon/Duron.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description k7-smp
This package includes a specific smp-kernel for Athlon/Duron.

%package k7
Summary: Kernel version %{kversion} compiled for Athlon/Duron.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description k7
This package includes a specific kernel for Athlon/Duron.

%package icc-smp
Summary: Kernel version %{kversion} compiled for SMP Pentium4 by Intel Compiler.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description icc-smp
This package includes a specific smp-kernel for Pentium4 compiled by Intel Compiler.

%package icc
Summary: Kernel version %{kversion} compiled for Pentium4 by Intel Compiler.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description icc
This package includes a specific kernel for Pentium4 compiled by Intel Compiler.

%package nautilus
Summary: Kernel version %{kversion} compiled for Nautilus on Alpha Architecture.
Group: System Environment/Kernel
Obsoletes: alsa-driver, isapnptools, isapnptools-devel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description nautilus
This package includes a specific kernel for Nautilus on Alpha Architecture.

%package dp264-smp
Summary: Kernel version %{kversion} compiled for SMP DP264 on Alpha Architecture.
Group: System Environment/Kernel
Obsoletes: alsa-driver, isapnptools, isapnptools-devel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description dp264-smp
This package includes a specific smp-kernel for SMP DP264 on Alpha Architecture.

%package dp264
Summary: Kernel version %{kversion} compiled for DP264 on Alpha Architecture.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description dp264
This package includes a specific kernel for DP264 on Alpha Architecture.

%package wildfire
Summary: Kernel version %{kversion} compiled for SMP Wildfire on Alpha Architecture.
Group: System Environment/Kernel
Prereq:    %{kernel_prereq_pkgs}
Requires:  %{kernel_req_pkgs}
Provides:  %{kernel_prov_pkgs}
Obsoletes: %{kernel_obso_pkgs}
Provides: kernel = %{KVERREL}

%description wildfire
This package includes a specific smp-kernel for Wildfire on Alpha Architecture.

%package BOOT
Summary: Kernel version %{kversion} used on the installation boot disks.
Group: System Environment/Kernel

%description BOOT
This package includes a trimmed down version of the Linux %{kversion} kernel.
This kernel is used on the installation boot disks only and should not be
used for an installed system, as many features in this kernel are turned off
because of the size constraints.


#############################################################
##### PREP ##################################################
#############################################################
# >>prep

%prep

print_specopt() {
## echo the specopt values
cat <<EOF
Configurations:
  config_debug .......... %{config_debug}
  kdb ................... %{kdb}
  acpi_debug ............ %{acpi_debug}
  preemptible_kernel .... %{preemptible_kernel}
  additionalciphers ..... %{additionalciphers}
  v4l2 .................. %{v4l2}
  xcast6 ................ %{xcast6}
  variable_HZ ........... %{variable_HZ}
  CONFIG_HZ ............. %{CONFIG_HZ}
  oom_killer ............ %{oom_killer}
  swsusp2 ............... %{swsusp2}
  usagi_ipv6 ............ %{usagi_ipv6}
  _ipv6 ................. %{_ipv6}
  
Generic kernel packages:
  buildboot ............. %{buildboot}
  buildup ............... %{buildup}
  buildsmp .............. %{buildsmp}

Additional kernel packages:
  copper ................ %{copper}
  coppersmp ............. %{coppersmp}
  pen4 .................. %{pen4}
  pen4smp ............... %{pen4smp}
  amdk7 ................. %{amdk7}
  amdk7smp .............. %{amdk7smp}
  icc ................... %{icc}
  iccsmp ................ %{iccsmp}

  nautilus .............. %{nautilus}
  dp264 ................. %{dp264}
  dp264smp .............. %{dp264smp}
  wildfire .............. %{wildfire}
EOF
}

print_specopt

%setup -q -n linux-%{srcversion} -a2 -a4 -a5 -a6 -a9 -a10

print_specopt > kernel-specopt.log

#%%patch0 -p1

# sed "s/^SUBLEVEL.*/SUBLEVEL = 21/" Makefile > Makefile.ext
# mv Makefile.ext Makefile

cp %{SOURCE150} drivers/scsi/pcmcia/

# Bring in the Red Hat Kernel Module Version Tag program
cp %SOURCE13 .
# Momonga Boot Logo
cp %SOURCE15 include/linux/linux_logo.h

# replace ieee1394 driver
rm -rf drivers/ieee1394
tar zxf %SOURCE200 -C drivers/

# update drm modules
mv drivers/char/drm drivers/char/orig.drm
tar xzf %SOURCE7 -C drivers/char
mv drivers/char/drm/Makefile drivers/char/drm/Makefile.withX
ln -s Makefile.kernel drivers/char/drm/Makefile

##########
########## Patch application starts
##########

## ck
#%%patch11000 -p1
#%%patch11010 -p1
#%%patch11011 -p1
#%%patch11020 -p1
#%%patch11021 -p1
#%%patch11030 -p1
#%%patch11031 -p1
#%%patch11040 -p1

## acpi
#%%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch7 -p1

## variable HZ
%if %{variable_HZ}
%patch18 -p1
%else
%patch19 -p1
%endif

## swsusp2
%if %{swsusp2}

%patch4000 -p1
%patch4001 -p1

%patch4002 -p1
%patch4004 -p1

#%%patch4005 -p1
#%%patch4006 -p1
#%%patch4007 -p1
#%%patch4008 -p1

%patch4010 -p1
%patch4011 -p1
%patch4012 -p1

%endif
## swsusp2 end

## cpufreq
# pushd cpufreq
# perl -p -i -e 's/ln -sf /cp -a /' ./patchin.sh
# %%patch5
# no need %%patch50000
# ./patchin.sh  $RPM_BUILD_DIR/linux-%{srcversion}/
# popd

%patch5 -p1
%patch6 -p1

# toshiba laptop acpi driver update
#cd drivers/acpi
#%%patch9
#cd -

# POSIX ACL
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%if %{preemptible_kernel}
#%%patch20 -p1
%endif

%patch22 -p1
%patch23 -p1

# bootsplash
%patch25 -p1
# swsusp for bootsplash
#%%patch4001 -p1
#%%patch4003 -p1

%if %{usagi_ipv6}
%patch40 -p1
%patch41 -p1
# %%patch42001 -p1
%endif

%patch26 -p1

## kdb  # kdb patch includes kallsyms patch
#
%if %{kdb} && %{swsusp2}
%patch27 -p1
%endif
#
%if %{kdb} && ! %{swsusp2}
%patch28 -p1
%endif # %%{kdb} && %%{swsusp2}

%if %{kdb}
%patch29 -p1
#%%patch30 -p1  ## for ia64
%endif

## kallsyms
%if ! %{kdb} && %{swsusp2}
%patch31 -p1
%endif
#
%if ! %{kdb} && ! %{swsusp2}
%patch32 -p1
%endif # ! %%{kdb} && %%{swsusp2}

### Filesystems

#for smbfs


# for ntfs
# disable for test
%patch37 -p1

# for nfs
#%%patch38 -p1

# for packet write
%patch39 -p1

%if %{usagi_ipv6} && %{additionalciphers}
#tmp%%patch42002
mkdir tmp_crypto
pushd tmp_crypto
gzip -dc %{SOURCE50} | patch -p1 > /dev/null 2>&1 || :
mv crypto/ciphers/{cipher-blowfish.c,cipher-dfc.c,cipher-idea.c,cipher-mars.c,cipher-serpent.c,cipher-twofish.c} ../crypto/
popd
rm -rf tmp_crypto
%endif

%if %{xcast6}
%patch42010 -p1
%endif

#ipvs
# %%patch43 -p1
%patch45 -p1

%if ! %{usagi_ipv6}
## FreeSwan
%patch46 -p1
## cipe
%patch47 -p1
%patch48 -p1
%patch49 -p1
%endif

# netfilter
#%%patch50 -p1
# clear EXTRAVERSION
sed "s/^EXTRAVERSION.*/EXTRAVERSION =/" Makefile > Makefile.ext 
mv Makefile.ext Makefile 

%patch50100 -p1

%patch51 -p1
%patch52 -p1

%if ! %{usagi_ipv6}
%patch53 -p1
%endif

%patch54 -p1

##### IDE Drivers
#%%patch56 -p1

%patch57 -p1
%patch58 -p1
#%%patch59 -p1

## Network Driver

# TC9020
mkdir TC902X
pushd TC902X
%{__unzip} %{SOURCE500}
%{__cp} README.TXT ../Documentation/networking/tc902x.txt
%{__tar} zxf tc902x.v203.tar.gz
mkdir ../drivers/net/tc902x
%{__cp} *.h *.c ../drivers/net/tc902x/
%{__mv} ../drivers/net/tc902x/tc902x.c ../drivers/net/tc902x/tc902x_core.c
#%%{__cp} %{SOURCE501} ../drivers/net/tc902x/
#%%{__cp} %{SOURCE502} ../drivers/net/tc902x/
chmod 644 ../drivers/net/tc902x/*
popd
%patch60 -p1

%patch62 -p1

# Intel centrino wireless driver
mkdir Documentation/ipw2100
pushd drivers/net/wireless
tar zxf %{SOURCE135} 
mv ipw2100-%{ipw2100_ver} ipw2100
cd ipw2100
mv `ls |grep -v .c|grep -v .h|grep -v Makefile` ../../../../Documentation/ipw2100/
cd -
popd
patch -p1 -i drivers/net/wireless/ipw2100/patches/ipw2100-%{ipw2100_base}-patch
rm -rf drivers/net/wireless/ipw2100/patches/


cd drivers/net/wireless
%patch66 -p5
%patch67 -p5
cd -

%if ! %{_debug}

%patch63 -p1
%patch64 -p1

# %%patch65 -p1

%patch71 -p1

#%%patch82 -p1
#%%patch83 -p1

## dc395 driver
%patch85 -p1
%patch86 -p1


#%%patch88 -p1

# lm_sensors
%patch90 -p1
%patch91 -p1

%patch9001 -p1
%patch9002 -p1
%patch9003 -p1
%patch9004 -p1
%patch9005 -p1
%patch9006 -p1
%patch9007 -p1
%patch9008 -p1
%patch9009 -p1
%patch9010 -p1
%%patch9011 -p1
#%%patch9012 -p1
%patch9013 -p1
%patch9014 -p1
%patch9015 -p1

%patch92 -p1


#for i in i2c-pcf-epp.c; do
#  sed -e 's|<linux/i2c-pcf8584.h>|"i2c-pcf8584.h"|' drivers/i2c/${i} > drivers/i2c/${i}.tmp
#  mv drivers/i2c/${i}.tmp drivers/i2c/${i}
#done

# megaraid and megaraid2
pushd drivers/scsi
tar zxvf %{SOURCE130}
tar zxvf %{SOURCE131}
popd

%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch128 -p1
%patch129 -p1

%patch140 -p1
%patch141 -p1
%patch142 -p1
# agpgart apg3 support for KT400(A)/600
%patch143 -p0

%patch150 -p1
%patch151 -p1

%patch600 -p1

%patch1000 -p1
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1005 -p1
%patch1008 -p1
%patch1009 -p1
%patch1010 -p1
%patch1012 -p1
%patch1013 -p1
%patch1014 -p1
%patch1015 -p1
%patch1016 -p1
%patch1017 -p1

%patch1019 -p1
%patch1020 -p1
%patch1021 -p1

# %%patch1022 -p1
#%%patch1023 -p1
%patch1024 -p1
%patch1025 -p0

%patch2000 -p1
%patch2001 -p1
%patch2002 -p1
%patch2003 -p1
%patch2004 -p1
%patch2008 -p1
#%%patch2011 -p1

#%%patch2200 -p1
%patch2201 -p1
%patch2202 -p1
%patch2203 -p1
%patch2204 -p1
%patch2205 -p1
%patch2206 -p1
%patch2207 -p1
%patch2208 -p1
%patch2209 -p1
%patch2210 -p1
%patch2211 -p1
%patch2212 -p1
%patch2213 -p1
%endif

#%%patch3000 -p1

GCC_VERSION=`%{buildcc} -dumpversion 2>/dev/null`
if [ `echo $GCC_VERSION | cut -d '.' -f 1`x == "3"x ]; then
%patch2215 -p1
fi

## ALSA
%ifarch  %{ix86} alpha alphaev5 ppc
pushd alsa-driver-%{ALSAver} > /dev/null
%patch210 -p1
%if %{icc} || %{iccsmp}
%patch7001 -p1
%endif
popd > /dev/null
%else
rm -rf alsa-driver-%{ALSAver}
%endif

%if %{usagi_ipv6}
%patch1901 -p1
%else
%patch1900 -p1
%endif

%if ! %{usagi_ipv6}
%patch1902 -p1
%endif

%ifarch ppc
%patch2400 -p1
%patch2401 -p1
%patch2402 -p1
%endif

%if %{v4l2}
%patch2500 -p1
%patch2501 -p1
%patch2502 -p1
%patch2503 -p1
#
%patch2505 -p1
%patch2506 -p1
%patch2507 -p1
%patch2508 -p1
%patch2509 -p1
%patch2510 -p1
%patch2511 -p1
%patch2512 -p1
%patch2513 -p1
%endif

%if %{v4l2} && %{swsusp2}
%patch2524 -p1
%endif
#
%if %{v4l2} && ! %{swsusp2}
%patch2534 -p1
%endif

### UNICON

%patch2600 -p1
%patch2601 -p0

# for ieee1394
%patch2700 -p1
perl -p -i -e 's|//#define SBP2_USE_SCSI_ADDREM_HACK|#define SBP2_USE_SCSI_ADDREM_HACK|g' drivers/ieee1394/sbp2.c

%ifarch %{ix86}
#%%patch3001 -p1
%endif

%patch3002 -p1

%patch3006 -p1
%patch3007 -p1

# sk98lin network driver
# %%patch3101 -p1

%if %{icc} || %{iccsmp}
%patch7000 -p1
%endif

#####
##### Patching ends
#####

# copy README of madwifi to kernel-doc
%ifarch %{ix86}
cp madwifi-cvs-%{madwifi_base}/README Documentation/networking/madwifi.txt
%endif

%if ! %{_debug}
sed -e "s!gcc!%{buildcc}!" -e "s!egcs!%{buildcc}!" Makefile > Makefile.cc
mv Makefile.cc Makefile

make symlinks
%endif

find . -name "CVS" -o -name "*.orig" -o -name "*~" | xargs rm -rf

mkdir configs

#############################################
######### build #############################
#############################################
### >>build

%build 
rm -rf %{buildroot}

echo DISTCC_HOSTS=\"$DISTCC_HOSTS\"

# for ipw2100
export KSRC=`pwd`

BuildKernel() {
KernelType=$1

# is this a special kernel we want to build?
if [ -n "$KernelType" ] ; then
  if [ $RPM_ARCH = "i386" -o $RPM_ARCH = "i486" \
    -o $RPM_ARCH = "i586" -o $RPM_ARCH = "i686" -o $RPM_ARCH = "athlon" ]; then
    Config=i586-$KernelType
  else
    Config=$RPM_ARCH-$KernelType
  fi

  KernelVer=%{KVERREL}$KernelType
  echo BUILDING A KERNEL FOR $KernelType...
else
  if [ $RPM_ARCH = "i386" -o $RPM_ARCH = "i486" \
   -o $RPM_ARCH = "i586" -o $RPM_ARCH = "i686" -o $RPM_ARCH = "athlon" ]; then
    Config=i586
  else
    Config=$RPM_ARCH
  fi

  KernelVer=%{KVERREL}
  echo BUILDING THE NORMAL KERNEL...
fi

cp $RPM_SOURCE_DIR/%{fileprefix}-2.4-$Config.config configs/

# make sure EXTRAVERSION says what we want it to say
sed "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$KernelType/" Makefile > Makefile.ext
mv Makefile.ext Makefile
rm -f .config
make mrproper

%if !%{usagi_ipv6} && !%{_ipv6}
sed "s/^CONFIG_IPV6=.*/# CONFIG_IPV6 is not set/" \
  configs/%{fileprefix}-2.4-$Config.config > configs/%{fileprefix}-2.4-$Config.config.v6
mv configs/%{fileprefix}-2.4-$Config.config.v6 configs/%{fileprefix}-2.4-$Config.config
%endif

# static linked ipv6
# use _ipv6 not usagi_ipv6
#%%if %{_ipv6}
#sed "s/^CONFIG_IPV6=.*/CONFIG_IPV6=y/" \
#   configs/%{fileprefix}-2.4-$Config.config > configs/%{fileprefix}-2.4-$Config.config.v6
#mv configs/%{fileprefix}-2.4-$Config.config.v6 configs/%{fileprefix}-2.4-$Config.config
#%%endif

%if %{variable_HZ}
sed "s/^CONFIG_HZ=.*/CONFIG_HZ=%{CONFIG_HZ}/" \
  configs/%{fileprefix}-2.4-$Config.config > configs/%{fileprefix}-2.4-$Config.config.vh
%else
sed "s/^CONFIG_HZ=.*//" \
  configs/%{fileprefix}-2.4-$Config.config > configs/%{fileprefix}-2.4-$Config.config.vh
%endif # variable_HZ
mv configs/%{fileprefix}-2.4-$Config.config.vh configs/%{fileprefix}-2.4-$Config.config

%if !%{oom_killer}
sed "s/^CONFIG_OOM_KILLER=.*/# CONFIG_OOM_KILLER is not set/" \
  configs/%{fileprefix}-2.4-$Config.config > configs/%{fileprefix}-2.4-$Config.config.oom
mv configs/%{fileprefix}-2.4-$Config.config.oom configs/%{fileprefix}-2.4-$Config.config
%endif

%if ! %{config_debug}
# Temporary CONFIG_DEBUG_KERNEL
sed "s/^CONFIG_DEBUG_KERNEL.*/# CONFIG_DEBUG_KERNEL is not set/" \
  configs/%{fileprefix}-2.4-$Config.config > configs/%{fileprefix}-2.4-$Config.config.firestream
mv configs/%{fileprefix}-2.4-$Config.config.firestream configs/%{fileprefix}-2.4-$Config.config
%endif

%if %{acpi_debug}
sed "s/^# CONFIG_ACPI_DEBUG is not set/CONFIG_ACPI_DEBUG=y/" \
  configs/%{fileprefix}-2.4-$Config.config > configs/%{fileprefix}-2.4-$Config.config.acpidebug
mv configs/%{fileprefix}-2.4-$Config.config.acpidebug configs/%{fileprefix}-2.4-$Config.config
%endif

%if %{v4l2}
if grep -q 'CONFIG_SR_EXTRA_DEVS=2' configs/%{fileprefix}-2.4-$Config.config; then
   echo "CONFIG_CHR_DEV_SCH=m" >> configs/%{fileprefix}-2.4-$Config.config
fi
%endif

%ifarch alpha alphaev5
for i in CONFIG_ATM_AMBASSADOR CONFIG_BLK_DEV_DAC960 CONFIG_SCSI_NCR53C7xx
do
  sed "s/^${i}=.*/# ${i} is not set/" configs/%{fileprefix}-2.4-$Config.config \
    > configs/%{fileprefix}-2.4-$Config.config.tmp
  mv configs/%{fileprefix}-2.4-$Config.config.tmp configs/%{fileprefix}-2.4-$Config.config
done
%endif

ln -s configs/%{fileprefix}-2.4-$Config.config .config
make oldconfig
make dep
make include/linux/version.h

%ifarch %{ix86}
  make %{?_smp_mflags} -k bzImage || make bzImage
%else
%ifarch ppc
  make %{?_smp_mflags} -k zImage || make zImage
%else
  make %{?_smp_mflags} -k boot || make boot
%endif
%endif
make %{?_smp_mflags} -k modules || make modules

mkdir -p %{buildroot}/boot
install -m 644 System.map %{buildroot}/boot/System.map-$KernelVer
%ifarch %{ix86}
  install -m 644 arch/i386/boot/bzImage %{buildroot}/boot/vmlinuz-$KernelVer
%endif
%ifarch alpha alphaev5
  install -s -m 755 vmlinux %{buildroot}/boot/vmlinux-$KernelVer
  install -m 644 arch/alpha/boot/vmlinux.gz %{buildroot}/boot/vmlinuz-$KernelVer
%endif
%ifarch ppc
  install -s -m 755 vmlinux %{buildroot}/boot/vmlinux-$KernelVer
  install -m 644 arch/ppc/boot/images/vmlinux.coff %{buildroot}/boot/vmlinuz-$KernelVer
%endif

# mkdir -p %{buildroot}/lib/modules/$KernelVer/{block,cdrom,fs,ipv4,misc,net,scsi}
make INSTALL_MOD_PATH=%{buildroot} modules_install KERNELRELEASE=$KernelVer
rm -f %{buildroot}/lib/modules/$KernelVer/build

# build madwifi driver
%ifarch %{ix86}
pushd madwifi-cvs-%{madwifi_base}
  make KERNELPATH="%{_builddir}/%{buildsubdir}" clean
  make KERNELPATH="%{_builddir}/%{buildsubdir}"
  install -m 0644 wlan/wlan.o ath_hal/ath_hal.o driver/ath_pci.o \
         %{buildroot}/lib/modules/$KernelVer/kernel/drivers/net/wireless/
  make KERNELPATH="%{_builddir}/%{buildsubdir}" clean
popd
%endif

# v4l2
%if %{v4l2}
  if grep -q 'CONFIG_VIDEO_DEV=[ym]' .config; then
    echo 'BUILDING V4L2...'
    pushd bttv-%{bttvver}
    make clean
    make %{?_smp_mflags} -k KDIR=%{_builddir}/%{buildsubdir} || make KDIR=%{_builddir}/%{buildsubdir}
    mv %{buildroot}/lib/modules/$KernelVer/kernel/drivers/media/video/bttv.o \
       %{buildroot}/lib/modules/$KernelVer/kernel/drivers/media/video/bttv-old.o
    install -m 644 btcx-risc.o bttv.o \
       %{buildroot}/lib/modules/$KernelVer/kernel/drivers/media/video/
    popd
    pushd saa7134-%{saa7134ver}
    make clean
    make %{?_smp_mflags} -k KDIR=%{_builddir}/%{buildsubdir} || make KDIR=%{_builddir}/%{buildsubdir}
    mv %{buildroot}/lib/modules/$KernelVer/kernel/drivers/media/video/tuner.o \
       %{buildroot}/lib/modules/$KernelVer/kernel/drivers/media/video/tuner-old.o
    install -m 644 tuner.o video-buf.o saa7134.o tda9887.o tvaudio.o \
       %{buildroot}/lib/modules/$KernelVer/kernel/drivers/media/video/
    popd
  fi
%endif

# unicon
if grep -q 'CONFIG_UNICON=y' .config; then
  pushd unicon-%{unicon_ver}
  CC="%{buildcc}" ./configure
  make clean
  make -k CFLAGS="-I. -I%{_builddir}/%{buildsubdir}/include -include %{_builddir}/%{buildsubdir}/include/linux/modversions.h" -C unikey
  make -k CFLAGS="-I. -I%{_builddir}/%{buildsubdir}/include -I../eucjp -include %{_builddir}/%{buildsubdir}/include/linux/modversions.h" -C fonts
  install -m 644 unikey/unikey.o fonts/*/*.o \
     %{buildroot}/lib/modules/$KernelVer/kernel/drivers/video/
  popd
fi

rm -f rhkmvtag
%{buildcc} -o rhkmvtag rhkmvtag.c init/version.o

./rhkmvtag > %{buildroot}/lib/modules/$KernelVer/.rhkmvtag
rm -f rhkmvtag
}

BuildALSA() {
  if [ -z "$1" ] ; then
    echo "BUILDING FOR NORMAL KERNEL..."
  else
    echo "BUILDING FOR $1..."
  fi
  pushd alsa-driver-%{ALSAver}

  CC="%{buildcc}" ./configure --prefix=%{_prefix} \
    --with-kernel=%{_builddir}/%{buildsubdir} \
    --with-moddir=/lib/modules/%{KVERREL}$1/kernel/drivers/alsa \
    --with-sequencer=yes --with-isapnp=yes --with-oss=yes \
    --with-cards=all

  make %{?_smp_mflags} -k || make
  mkdir -p %{buildroot}/lib/modules/%{KVERREL}$1/kernel/drivers/alsa/
  make install DESTDIR=%{buildroot} IGROUP="%(id -gn)" IUSER="%(id -un)" \
    moddir=/lib/modules/%{KVERREL}$1/kernel/drivers/alsa/ \
    INITSCRIPTDIR=%{_initscriptdir}
  make clean

  popd
}

MoveHeaders() {
  if [ -z "$1" ] ; then
    kernel_type="uni"
  else
    kernel_type=$1
  fi

  if [ ! -d %{buildroot}/var/lib/kernel-%{KVERREL} ] ; then
    mkdir -p %{buildroot}/var/lib/kernel-%{KVERREL}
  fi

# cp Makefile Makefile.$kernel_type

  pushd include/linux
  for i in autoconf version modversions
  do
    cp $i.h $i-$kernel_type.h
  done
  mv modules modules-$kernel_type
  tar --owner=0 --group=0 -zcf headers-$kernel_type.tar.gz \
  modules-$kernel_type autoconf-$kernel_type.h version-$kernel_type.h \
  modversions-$kernel_type.h
  install -m 0644 headers-$kernel_type.tar.gz \
    %{buildroot}/var/lib/kernel-%{KVERREL}
  rm -rf modules-$kernel_type headers-$kernel_type.tar.gz \
    autoconf-$kernel_type.h version-$kernel_type.h modversions-$kernel_type.h
  popd
}

###
# DO it...
###

# BOOT kernel
%if %{buildboot}
perl -pi -e 's/-O2/-Os/' Makefile
BuildKernel BOOT
perl -pi -e 's/-Os/-O2/' Makefile
%endif


#### non-BOOT kernels don't need 1900/1901
#### BOOT-igaino kernelwa 1900/1901 atenakutemoii
%if ! %{usagi_ipv6}
  patch -p1 -R < %{PATCH1900}
#miss  patch -p1 -R < %{PATCH1902}
%else
  patch -p1 -R < %{PATCH1901}
%endif

#SMP-ENABLED KERNEL
%if %{buildsmp}
BuildKernel smp
BuildALSA smp
MoveHeaders smp
%endif

%if %{copper}
BuildKernel cm
BuildALSA cm
MoveHeaders cm
%endif

%if %{coppersmp}
BuildKernel cm-smp
BuildALSA cm-smp
MoveHeaders cm-smp
%endif

%if %{pen4}
BuildKernel p4
BuildALSA p4
MoveHeaders p4
%endif

%if %{pen4smp}
BuildKernel p4-smp
BuildALSA p4-smp
MoveHeaders p4-smp
%endif

%if %{amdk7}
BuildKernel k7
BuildALSA k7
MoveHeaders k7
%endif

%if %{amdk7smp}
BuildKernel k7-smp
BuildALSA k7-smp
MoveHeaders k7-smp
%endif

%if %{icc}
BuildKernel icc
BuildALSA icc
MoveHeaders icc
%endif

%if %{iccsmp}
BuildKernel icc-smp
BuildALSA icc-smp
MoveHeaders icc-smp
%endif

# For Alpha Architecture
%if %{nautilus}
BuildKernel nautilus
BuildALSA nautilus
MoveHeaders nautilus
%endif

%if %{dp264}
BuildKernel dp264
BuildALSA dp264
MoveHeaders dp264
%endif

%if %{dp264smp}
BuildKernel dp264-smp
BuildALSA dp264-smp
MoveHeaders dp264-smp
%endif

%if %{wildfire}
BuildKernel wildfire
BuildALSA wildfire
MoveHeaders wildfire
%endif

# NORMAL KERNEL
%if %{buildup}
BuildKernel
BuildALSA
MoveHeaders
%endif

%install
sed "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}own/" Makefile > Makefile.ext
mv Makefile.ext Makefile

%if ! %{buildboot}
cp -a %{buildroot}/usr/include/sound include
rm -rf %{buildroot}/usr/include/sound
%endif

mkdir -p %{buildroot}/{boot,sbin}
mkdir -p %{buildroot}/usr/include
ln -sf ../src/linux/include/linux %{buildroot}/usr/include/linux
ln -sf ../src/linux/include/asm %{buildroot}/usr/include/asm
%if ! %{buildboot}
ln -sf ../src/linux/include/sound %{buildroot}/usr/include/sound
%endif

mkdir -p %{buildroot}/usr/src/linux-%{KVERREL}
tar cf - . | tar xf - -C %{buildroot}/usr/src/linux-%{KVERREL}
ln -sf linux-%{KVERREL} %{buildroot}/usr/src/linux

%if %{buildup}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}
%endif
%if %{buildsmp}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}smp
%endif

%if %{copper}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}cm
%endif
%if %{coppersmp}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}cm-smp
%endif

%if %{pen4}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}p4
%endif
%if %{pen4smp}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}p4-smp
%endif

%if %{amdk7}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}k7
%endif
%if %{amdk7smp}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}k7-smp
%endif

%if %{icc}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}icc
%endif
%if %{iccsmp}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}icc-smp
%endif

%if %{nautilus}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}nautilus
%endif

%if %{dp264}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}dp264
%endif

%if %{dp264smp}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}dp264-smp
%endif

%if %{wildfire}
install -m 644 $RPM_SOURCE_DIR/module-info %{buildroot}/boot/module-info-%{KVERREL}wildfire
%endif

make mrproper -C %{buildroot}/usr/src/linux-%{KVERREL}
#make oldconfig -C %{buildroot}/usr/src/linux-%{KVERREL}
make symlinks -C %{buildroot}/usr/src/linux-%{KVERREL}
#make include/linux/version.h -C %{buildroot}/usr/src/linux-%{KVERREL}

pushd %{buildroot}/usr/src/linux-%{KVERREL}/include/linux > /dev/null
rm -rf modules
rm -f autoconf.h
rm -f version.h
rm -f modversions.h
popd > /dev/null

%ifnarch %ix86
pushd %{buildroot}/usr/src/linux-%{KVERREL} > /dev/null
find . -type f | xargs file | grep ELF | cut -d : -f 1 | xargs rm
popd > /dev/null
%endif

# maybe non need build BOOT kernel only (or build one kernel pakcage)
# this block was made by last non-BOOT kernel build time
pushd %{buildroot}/usr/src/linux-%{KVERREL} > /dev/null
find . -name "*~" | xargs rm
popd > /dev/null

%clean
rm -rf %{buildroot}

%pre
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre smp
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre nautilus
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre dp264
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre dp264-smp
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre wildfire
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre cm
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre cm-smp
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre p4
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre p4-smp
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre k7
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre k7-smp
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre icc
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%pre icc-smp
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0

%post
cd /boot
ln -sf System.map-%{KVERREL} System.map
ln -sf module-info-%{KVERREL} module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

%ifarch %{ix86}
  ln -sf configs/%{fileprefix}-2.4-i586.config .config
%else
  ln -sf configs/%{fileprefix}-2.4-%{_target_cpu}.config .config
%endif

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-uni.tar.gz

%post smp
cd /boot
ln -sf System.map-%{KVERREL}smp System.map
ln -sf module-info-%{KVERREL}smp module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}smp
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

%ifarch %{ix86}
  ln -sf configs/%{fileprefix}-2.4-i586-smp.config .config
%else
  ln -sf configs/%{fileprefix}-2.4-%{_target_cpu}-smp.config .config
%endif

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-smp.tar.gz

%postun
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-uni version-uni.h modversions-uni.h autoconf-uni.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
     rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%postun smp
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-smp version-smp.h modversions-smp.h autoconf-smp.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post cm
cd /boot
ln -sf System.map-%{KVERREL}cm System.map
ln -sf module-info-%{KVERREL}cm module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}cm
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-i586-cm.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-cm.tar.gz

%postun cm
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-cm version-cm.h modversions-cm.h autoconf-cm.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post cm-smp
cd /boot
ln -sf System.map-%{KVERREL}cm-smp System.map
ln -sf module-info-%{KVERREL}cm-smp module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}cm-smp
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-i586-cm-smp.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-cm-smp.tar.gz

%postun cm-smp
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-cm-smp version-cm-smp.h modversions-cm-smp.h autoconf-cm-smp.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post p4
cd /boot
ln -sf System.map-%{KVERREL}p4 System.map
ln -sf module-info-%{KVERREL}p4 module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}p4
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-i586-p4.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-p4.tar.gz

%postun p4
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-p4 version-p4.h modversions-p4.h autoconf-p4.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post p4-smp
cd /boot
ln -sf System.map-%{KVERREL}p4-smp System.map
ln -sf module-info-%{KVERREL}p4-smp module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}p4-smp
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-i586-p4-smp.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-p4-smp.tar.gz

%postun p4-smp
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-p4-smp version-p4-smp.h modversions-p4-smp.h autoconf-p4-smp.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post k7
cd /boot
ln -sf System.map-%{KVERREL}k7 System.map
ln -sf module-info-%{KVERREL}k7 module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}k7
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-i586-k7.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-k7.tar.gz

%postun k7
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-k7 version-k7.h modversions-k7.h autoconf-k7.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post k7-smp
cd /boot
ln -sf System.map-%{KVERREL}k7-smp System.map
ln -sf module-info-%{KVERREL}k7-smp module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}k7-smp
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-i586-k7-smp.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-k7-smp.tar.gz

%postun k7-smp
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-k7-smp version-k7-smp.h modversions-k7-smp.h autoconf-k7-smp.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post icc
cd /boot
ln -sf System.map-%{KVERREL}icc System.map
ln -sf module-info-%{KVERREL}icc module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}icc
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-i586-icc.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-icc.tar.gz

%postun icc
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-icc version-icc.h modversions-icc.h autoconf-icc.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post icc-smp
cd /boot
ln -sf System.map-%{KVERREL}icc-smp System.map
ln -sf module-info-%{KVERREL}icc-smp module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}icc-smp
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-i586-icc-smp.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-icc-smp.tar.gz

%postun icc-smp
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-icc-smp version-icc-smp.h modversions-icc-smp.h autoconf-icc-smp.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post nautilus
cd /boot
ln -sf System.map-%{KVERREL}nautilus System.map
ln -sf module-info-%{KVERREL}nautilus module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}nautilus
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-alpha-nautilus.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-nautilus.tar.gz

%postun nautilus
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-nautilus version-nautilus.h modversions-nautilus.h autoconf-nautilus.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post dp264
cd /boot
ln -sf System.map-%{KVERREL}dp264 System.map
ln -sf module-info-%{KVERREL}dp264 module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}dp264
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-alpha-dp264.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-dp264.tar.gz

%postun dp264
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-dp264 version-dp264.h modversions-dp264.h autoconf-dp264.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post dp264-smp
cd /boot
ln -sf System.map-%{KVERREL}dp264-smp System.map
ln -sf module-info-%{KVERREL}dp264-smp module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}dp264-smp
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-alpha-dp264-smp.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-dp264-smp.tar.gz

%postun dp264-smp
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-dp264-smp version-dp264-smp.h modversions-dp264-smp.h autoconf-dp264-smp.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%post wildfire
cd /boot
ln -sf System.map-%{KVERREL}wildfire System.map
ln -sf module-info-%{KVERREL}wildfire module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install %{KVERREL}wildfire
fi

cd /usr/src/linux-%{KVERREL}

if [ ! -d include/linux ] ; then
  mkdir -p include/linux
fi

ln -sf configs/%{fileprefix}-2.4-alpha-wildfire.config .config

cd include/linux
tar zxf /var/lib/kernel-%{KVERREL}/headers-wildfire.tar.gz

%postun wildfire
if [ -L /usr/src/linux-%{KVERREL}/.config -a ! -e /usr/src/linux-%{KVERREL}/.config ] ; then
  rm -f /usr/src/linux-%{KVERREL}/.config
fi

for j in modules-wildfire version-wildfire.h modversions-wildfire.h autoconf-wildfire.h
do
  rm -rf /usr/src/linux-%{KVERREL}/include/linux/$j
done

for j in modules version.h modversions.h autoconf.h
do
  if [ ! -e $j ] ; then
    rm -f $j
  fi
done

if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

if [ -d /var/lib/kernel-%{KVERREL} ] ; then
  if [ -z "`find /var/lib/kernel-%{KVERREL} -type f`" ] ; then
    rm -rf /var/lib/kernel-%{KVERREL}
  fi
fi

%postun headers
if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

%postun source
if [ -d /usr/src/linux-%{KVERREL} ] ; then
  if [ -z "`find /usr/src/linux-%{KVERREL} -type f`" ] ; then
    rm -rf /usr/src/linux-%{KVERREL}
  fi
fi

%if %{buildup}
%files
%defattr(-,root,root)
%ifarch ppc
/boot/vmlinux-%{KVERREL}
%endif
/boot/vmlinuz-%{KVERREL}
/boot/System.map-%{KVERREL}
/boot/module-info-%{KVERREL}

%ifarch %{ix86}
  /usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586.config
%else
/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-%{_target_cpu}.config
%endif

/var/lib/kernel-%{KVERREL}/headers-uni.tar.gz
%dir /lib/modules/%{KVERREL}
/lib/modules/%{KVERREL}/.rhkmvtag
/lib/modules/%{KVERREL}/*
%endif

%if %{buildsmp}
%files smp
%defattr(-,root,root)
%ifarch ppc
/boot/vmlinux-%{KVERREL}smp
%endif
/boot/vmlinuz-%{KVERREL}smp
/boot/System.map-%{KVERREL}smp
/boot/module-info-%{KVERREL}smp

%ifarch %{ix86}
  /usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586-smp.config
%else
%ifnarch alphaev5
  /usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-%{_target_cpu}-smp.config
%else
  /usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-alpha-smp.config
%endif
%endif

/var/lib/kernel-%{KVERREL}/headers-smp.tar.gz
%dir /lib/modules/%{KVERREL}smp
/lib/modules/%{KVERREL}smp/.rhkmvtag
/lib/modules/%{KVERREL}smp/*
%endif

%if %{copper}
%files cm
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}cm
/boot/System.map-%{KVERREL}cm
/boot/module-info-%{KVERREL}cm

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586-cm.config

/var/lib/kernel-%{KVERREL}/headers-cm.tar.gz
%dir /lib/modules/%{KVERREL}cm
/lib/modules/%{KVERREL}cm/.rhkmvtag
/lib/modules/%{KVERREL}cm/*
%endif

%if %{coppersmp}
%files cm-smp
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}cm-smp
/boot/System.map-%{KVERREL}cm-smp
/boot/module-info-%{KVERREL}cm-smp

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586-cm-smp.config

/var/lib/kernel-%{KVERREL}/headers-cm-smp.tar.gz
%dir /lib/modules/%{KVERREL}cm-smp
/lib/modules/%{KVERREL}cm-smp/.rhkmvtag
/lib/modules/%{KVERREL}cm-smp/*
%endif

%if %{pen4}
%files p4
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}p4
/boot/System.map-%{KVERREL}p4
/boot/module-info-%{KVERREL}p4

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586-p4.config

/var/lib/kernel-%{KVERREL}/headers-p4.tar.gz
%dir /lib/modules/%{KVERREL}p4
/lib/modules/%{KVERREL}p4/.rhkmvtag
/lib/modules/%{KVERREL}p4/*
%endif

%if %{pen4smp}
%files p4-smp
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}p4-smp
/boot/System.map-%{KVERREL}p4-smp
/boot/module-info-%{KVERREL}p4-smp

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586-p4-smp.config

/var/lib/kernel-%{KVERREL}/headers-p4-smp.tar.gz
%dir /lib/modules/%{KVERREL}p4-smp
/lib/modules/%{KVERREL}p4-smp/.rhkmvtag
/lib/modules/%{KVERREL}p4-smp/*
%endif

%if %{amdk7}
%files k7
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}k7
/boot/System.map-%{KVERREL}k7
/boot/module-info-%{KVERREL}k7

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586-k7.config

/var/lib/kernel-%{KVERREL}/headers-k7.tar.gz
%dir /lib/modules/%{KVERREL}k7
/lib/modules/%{KVERREL}k7/.rhkmvtag
/lib/modules/%{KVERREL}k7/*
%endif

%if %{amdk7smp}
%files k7-smp
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}k7-smp
/boot/System.map-%{KVERREL}k7-smp
/boot/module-info-%{KVERREL}k7-smp

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586-k7-smp.config

/var/lib/kernel-%{KVERREL}/headers-k7-smp.tar.gz
%dir /lib/modules/%{KVERREL}k7-smp
/lib/modules/%{KVERREL}k7-smp/.rhkmvtag
/lib/modules/%{KVERREL}k7-smp/*
%endif

%if %{icc}
%files icc
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}icc
/boot/System.map-%{KVERREL}icc
/boot/module-info-%{KVERREL}icc

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586-icc.config

/var/lib/kernel-%{KVERREL}/headers-icc.tar.gz
%dir /lib/modules/%{KVERREL}icc
/lib/modules/%{KVERREL}icc/.rhkmvtag
/lib/modules/%{KVERREL}icc/*
%endif

%if %{iccsmp}
%files icc-smp
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}icc-smp
/boot/System.map-%{KVERREL}icc-smp
/boot/module-info-%{KVERREL}icc-smp

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-i586-icc-smp.config

/var/lib/kernel-%{KVERREL}/headers-icc-smp.tar.gz
%dir /lib/modules/%{KVERREL}icc-smp
/lib/modules/%{KVERREL}icc-smp/.rhkmvtag
/lib/modules/%{KVERREL}icc-smp/*
%endif

%if %{nautilus}
%files nautilus
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}nautilus
/boot/System.map-%{KVERREL}nautilus
/boot/module-info-%{KVERREL}nautilus

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-alpha-nautilus.config

/var/lib/kernel-%{KVERREL}/headers-nautilus.tar.gz
%dir /lib/modules/%{KVERREL}nautilus
/lib/modules/%{KVERREL}nautilus/.rhkmvtag
/lib/modules/%{KVERREL}nautilus/*
%endif

%if %{dp264}
%files dp264
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}dp264
/boot/System.map-%{KVERREL}dp264
/boot/module-info-%{KVERREL}dp264

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-alpha-dp264.config

/var/lib/kernel-%{KVERREL}/headers-dp264.tar.gz
%dir /lib/modules/%{KVERREL}dp264
/lib/modules/%{KVERREL}dp264/.rhkmvtag
/lib/modules/%{KVERREL}dp264/*
%endif

%if %{dp264smp}
%files dp264-smp
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}dp264-smp
/boot/System.map-%{KVERREL}dp264-smp
/boot/module-info-%{KVERREL}dp264-smp

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-alpha-dp264-smp.config

/var/lib/kernel-%{KVERREL}/headers-dp264-smp.tar.gz
%dir /lib/modules/%{KVERREL}dp264-smp
/lib/modules/%{KVERREL}dp264-smp/.rhkmvtag
/lib/modules/%{KVERREL}dp264-smp/*
%endif

%if %{wildfire}
%files wildfire
%defattr(-,root,root)
/boot/vmlinuz-%{KVERREL}wildfire
/boot/System.map-%{KVERREL}wildfire
/boot/module-info-%{KVERREL}wildfire

/usr/src/linux-%{KVERREL}/configs/%{fileprefix}-2.4-alpha-wildfire.config

/var/lib/kernel-%{KVERREL}/headers-wildfire.tar.gz
%dir /lib/modules/%{KVERREL}wildfire
/lib/modules/%{KVERREL}wildfire/.rhkmvtag
/lib/modules/%{KVERREL}wildfire/*
%endif

%files source
%defattr(-,root,root)
/usr/src/linux-%{KVERREL}/COPYING
/usr/src/linux-%{KVERREL}/CREDITS
/usr/src/linux-%{KVERREL}/Documentation
/usr/src/linux-%{KVERREL}/MAINTAINERS
/usr/src/linux-%{KVERREL}/Makefile
/usr/src/linux-%{KVERREL}/README
/usr/src/linux-%{KVERREL}/REPORTING-BUGS
/usr/src/linux-%{KVERREL}/Rules.make
/usr/src/linux-%{KVERREL}/alsa-driver-%{ALSAver}
%ifarch %{ix86}
/usr/src/linux-%{KVERREL}/arch/i386
%else
%ifnarch alphaev5
/usr/src/linux-%{KVERREL}/arch/%{_target_cpu}
%else
/usr/src/linux-%{KVERREL}/arch/alpha
%endif
%endif
/usr/src/linux-%{KVERREL}/crypto
/usr/src/linux-%{KVERREL}/drivers
/usr/src/linux-%{KVERREL}/fs
/usr/src/linux-%{KVERREL}/init
/usr/src/linux-%{KVERREL}/ipc
%if %{kdb}
/usr/src/linux-%{KVERREL}/kdb
%endif
/usr/src/linux-%{KVERREL}/kernel
/usr/src/linux-%{KVERREL}/lib
/usr/src/linux-%{KVERREL}/mm
/usr/src/linux-%{KVERREL}/net
/usr/src/linux-%{KVERREL}/scripts
%if %{v4l2}
/usr/src/linux-%{KVERREL}/bttv-%{bttvver}
/usr/src/linux-%{KVERREL}/saa7134-%{saa7134ver}
%endif
/usr/src/linux-%{KVERREL}/madwifi-cvs-%{madwifi_base}
/usr/src/linux-%{KVERREL}/unicon-%{unicon_ver}

%files headers
%defattr(-,root,root)
/usr/src/linux-%{KVERREL}/include/acpi
/usr/src/linux-%{KVERREL}/include/asm
%ifarch %{ix86}
/usr/src/linux-%{KVERREL}/include/asm-i386
%endif
%ifarch alpha alphaev5
/usr/src/linux-%{KVERREL}/include/asm-alpha
%endif
%ifarch ppc
/usr/src/linux-%{KVERREL}/include/asm-ppc
/usr/src/linux-%{KVERREL}/include/asm-m68k
%endif
/usr/src/linux-%{KVERREL}/include/asm-generic
/usr/src/linux-%{KVERREL}/include/linux/*
/usr/src/linux-%{KVERREL}/include/math-emu
/usr/src/linux-%{KVERREL}/include/net
/usr/src/linux-%{KVERREL}/include/pcmcia
/usr/src/linux-%{KVERREL}/include/scsi
%if ! %{buildboot}
/usr/src/linux-%{KVERREL}/include/sound
%endif
/usr/src/linux-%{KVERREL}/include/video
/usr/include/asm
/usr/include/linux
%if ! %{buildboot}
/usr/include/sound
%endif

%files doc
%defattr(-,root,root)
%doc kernel-specopt.log
%doc Documentation/*

%if %{buildboot}
%files BOOT
%defattr(-,root,root)
%ifarch ppc
/boot/vmlinux-%{KVERREL}BOOT
%endif
/boot/vmlinuz-%{KVERREL}BOOT
/boot/System.map-%{KVERREL}BOOT
%dir /lib/modules/%{KVERREL}BOOT
/lib/modules/%{KVERREL}BOOT/.rhkmvtag
/lib/modules/%{KVERREL}BOOT/*
%endif

%changelog
* Sat Aug 21 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.27-4m)
- add momonga-2.4.28-pre1-libata.patch

* Thu Aug 19 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.27-3m)
- update Patch40: linux24-2.4.27-usagi-20040818.patch.gz
- update Source2: alsa-1.0.6a

* Thu Aug 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.27-2m)
- update Patch4010: mo-software-suspend-linux-2.4.26-test7-whole2.bz2
- update Patch4011: swsusp-2.0-xfs-mo3.patch
- update Patch4012: swsusp-2.0-xfs-mo4.patch

* Wed Aug 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.27-1m)
- including security fixes
- remove '24_kernel_ia32-and-x86_64-fix-fpu-state.patch.txt'
- update and revise packet-2.4.27-rc2.patch.bz2
- update and revise 2.4.27-pre1-libata2.bz2
- update and revise momonga-ebtables-brnf-6_vs_2.4.27.diff

* Thu Aug  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.26-21m)
- change kernel-i586-*.config,
  CONFIG_IPV6=m, CONFIG_IP6_NF_QUEUE=m

* Sat Jul 17 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.26-20m)
- change i586-BOOT.config,
  CONFIG_SCSI_SATA_*=m , CONFIG_SCSI_ATA_PIIX=m

* Mon Jul 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-19m)
- static link ipv6 functions

* Wed Jun 16 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-18m)
- disable usagi patch by momonga-rpmmacros 20040310-6m
- update patch1900
- new patch1902 for linux-2.4.26/net/ipsec/zlib/zutil.h
- change macro _ipv6 to usagi_ipv6
- change .config files, CONFIG_CIPE must be =m
- omit sound directory in build BOOT kernel files
- known issue: catnot build BOOT kernel only!!

* Wed Jun 16 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-17m)
- security fix
  http://linuxreviews.org/news/2004-06-11_kernel_crash/index.html
  patch: http://linuxreviews.org/news/2004-06-11_kernel_crash/24_kernel_ia32-and-x86_64-fix-fpu-state.patch.txt

* Thu Jun 10 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-16m)
- update alsa-driver to 1.0.5a
- set %%{ALSAver} == %%{ALSAbasever}%%{ALSApatchver}

* Mon Jun 07 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-15m)
- No NoSource 500 TC902X_Linux.zip
- update ipw2100 to 0.45

* Fri May 21 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.26-14m)
- removed devfs support
- removed scheme interpreter support

* Sun May 16 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.26-13m)
- update mppe-mppc patch
  See http://developer.momonga-linux.org/kagemai/guest.cgi?project=momongaja&action=view_report&id=36

* Sun May  9 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-12m)
- add Patch4011: swsusp-2.0-xfs-mo1.patch and Patch4012: swsusp-2.0-xfs-mo2.patch
  for enable swsusp2 using xfs
- renumber Patch28 to Patch27: kdb-v4.3-2.4.25-common-1mo.bz2
  and change %%if %%{swsusp2} use %%patch27 -p1
- renumber Patch31 to Patch32: momonga-linux-2.4.25-kallsyms-2-noswsup.patch
  and change %%if %%{swsusp2} use %%patch32 -p1
- renumber Patch2504 to Patch2524 and Patch2534

* Sun May  9 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.26-11m)
- update cpufreq to 20040509
- update bttv to 0.9.15
- update saa7134 to 0.2.12

* Fri May  7 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.26-10m)
- CONFIG_USB_DEVICEFS=y on kernel-BOOT.

* Thu May  6 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.26-9m)
- update ntfs kernel driver to 2.1.6b
- update ipw2100(cenrino) driver to 0.42 and enable WEP

* Sun May  2 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.26-8m)
- CONFIG_MOUSE need to be 'm' for kernel-BOOT, otherwise any mouse cannot be detected.

* Sat May 01 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-7m)
- update Patch37 linux-2.4.25-ntfs-2.1.6a.patch.bz2

* Sat May 01 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-6m)
- add swsusp2 specopt flag default=0(disable)
- new Patch28: kdb-v4.3-2.4.25-common-1mo-noswsusp used swsusp2=0(disable)
  when you set swsusp2=1(enable) use Patch28 swsusp enable version
- new Patch31: momonga-linux-2.4.25-kallsyms-2-noswsup.patch
  this patch was used kdb=0 and swsusp2=0(disable)
  when set swsusp2=1(enable) then use Patch31(original)
- new Patch2504: momonga-31_i2c-2.4.26-noswsup2.diff
  this patch was used v4l2=1 and swsusp=0 and kdb=1

* Fri Apr 30 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-5m)
- add fb drivers into BOOT kernel for anaconda
- add mpt driver into BOOT kernel for VMware
- known limitation: can not build BOOT kernel only

* Fri Apr 30 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-4m)
- update Patch27: momonga-linux-2.4.25-kallsyms-2.patch use only kdb=0
- rename patch27 to patch31

* Thu Apr 29 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-3m)
- update v4l2 to 2.4.26
- update patch 2500 2501 2502 2503 2504 2505 2506 2507 2508 2509 2510
- adapt patch 2504
- rename patch 2509 2510
- rename patch 2510 2511
- add patch2512
- add patch2513
- update .config files

* Wed Apr 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.26-2m)
- add CONFIG_SOFTWARE_SUSPEND2 at .config files
  cf. http://swsusp.sourceforge.net/FAQ.sgml
- update Patch28: kdb-v4.3-2.4.25-common-1mo.bz2
- add new Patch4001: software-suspend-core-2.0.0.60-incremental.bz2
- add new Patch4010: mo-software-suspend-linux-2.4.26-test7-whole.bz2

* Tue Apr 13 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.26-1m)
- update to 2.4.26
- update usagi patch to 20040413
- add vary-io patch from aa-patch (required by megaraid2-2.10.2)
- acpi patch is merged into vanilla kernel
- update megaraid2 driver to 2.10.3
- remove megaraid-2009-wo-hostlock.patch.gz
- update hidden patch for 2.4.26-rc3
- update ebtables-brnf patch to 2.4.25 and revise it for 2.4.26-rc3
- update libata patch to 2.4.26-rc1-libata3
- revise hostap patch for 2.4.26-rc3
- revise kernel-2.4-i586*.config for 2.4.26-rc3
- add momonga-cpufreq-20031203-2-fix-for-2.4.26-rc3.patch to fix duplicated 'EXPORT_SYMBOL's

* Fri Apr 09 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.25-19m)
- update ipw2100 to 2.4.25-0.39

* Fri Apr 09 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.25-18m)
- update ALSA to 1.0.4

* Sun Apr  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.25-17m)
- kernel-drm shoule be provides so that we keep interoperability with FC.

* Mon Mar 29 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-16m)
- add acl patches
- renumber some patches
- kernel subarch packages provide kernel = %%{KVERREL}
- rollback CONFIG_AGP and CONFIG_FB_* for test

* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.25-15m)
- revised spec for rpm 4.2
- set _unpackaged_files_terminate_build as 0, avoid remove each messy stuff.

* Thu Mar 11 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-14m)
- update libata to 6
- fix to compare booleans correctly
- import Intel centrino wireless driver

* Thu Mar 11 2004 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.4.25-13m)
- update bcm5700 driver for 7.1.22
- update alsa to 1.0.3

* Wed Mar 10 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.25-12m)
- update madwifi to 20040309.
 
* Sun Mar  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-11m)
- disable siimage's SII_3112 handling for libata

* Fri Mar  5 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-10m)
- static SATA driver for BOOT kernel

* Thu Mar  4 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-9m)
- enable kdb by default
- revise kdb patch and kallsyms patch ( those patches are exclusive )
- modulized SATA drivers

* Wed Mar  3 2004 Toru Hoshina <t@www.momonga-linux.org>
- (2.4.25-8m)
- Enabled Intel Compiler.

* Sat Feb 28 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-7m)
- add libata patch
- introduce %%{kdb} macro to disable kdb patch.
    kdb patch lead to several problems on ASUS PC-DL
    See [devel.ja: 02478]

* Tue Feb 24 2004 Kenta MURATA <muraken2@nifty.com>
- (2.4.25-6m)
- CONFIG_AGP=y.

* Tue Feb 24 2004 YAMAZAKI Makoto <zaki@zakky.org>
- resurrect linux-2.4.25-i2c-2.8.4-hide-symbols.patch to fix build error of matrox_maven.c in DirectFB

* Sun Feb 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-4m)
- provides i2c-driver with i2c driver version
- add kdb patch

* Fri Feb 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-3m)
- update v4l2 patches for 2.4.25

* Thu Feb 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-2m)
- update to 2.4.25
- [SECURITY] this update includes security fix
- update usagi to 20040219
- update acpi to 20030211
- update alsa to 1.0.2c
- update swsusp to 2.0
- update i2c to 2.8.4
- update lm_sensors to 2.8.4
- remove xfs patch (merged into vanilla kernel source)
- add linux-2.4.9-kallsyms.patch ( kernel-2.4.22-1.2174.nptl.src.rpm from fedora )
- remove Patch35: http://www.hojdpunkten.ac.se/054/samba/01-smbfs-2.4.18-lfs.patch.gz (merged into vanilla kernel source)
- remove Patch36: http://www.hojdpunkten.ac.se/054/samba/02-smbfs-2.4.18-unicode.patch.gz (merged into vanilla kernel source)
- remove Patch70: lvm-1.0.8-2.4.23.patch (merged into vanilla kernel source)
- remove Patch91: linux-2.4.23-i2c-2.8.1-hide-symbols.patch ( __KERNEL__ has been correctly added to vanilla kernel source)
- add oom_killer specopt ( oom killer is disabled by default )

* Thu Feb 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.25-1m)
- skip 1m

* Tue Feb 03 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.24-11m)
- update ALSA to 1.0.2a

* Mon Jan 26 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.24-10m)
- delete fiva subpackage

* Mon Jan 26 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.24-9m)
- cancel *.config changes at 2.4.24-3m to fix lock-up problem on smp machine
    CONFIG_IPV6_PREFIXLIST
    CONFIG_IPV6_NDISC_NEW

* Fri Jan 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.24-8m)
- update usagi to 20040123
- update acpi to 2.4.24-20031204

* Thu Jan 15 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.4.24-7m)
- Added patch57 (via-vt6410-ide.patch) detect VIA VT6410 IDE RAID as
- normal IDE interface. i.e. No RAID functionality at all.

* Wed Jan 14 2004 Kenta MURATA <muraken2@nifty.com>
- (2.4.24-6m)
- embed all framebuffer driver.

* Tue Jan 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.24-5m)
- update alsa-driver to 1.0.1
- set %%{ALSAver} == %%{ALSAbasever}%%{ALSArcver} or %%{ALSAbasever}

* Mon Jan 12 2004 Kenta MURATA <muraken2@nifty.com>
- (2.4.24-4m)
- fix v4l2.

* Wed Jan 07 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.24-3m)
- update usagisnapver to 20040106
- removed Patch 6000
- changed kernel-2.4-i586*.config: CONFIG_IPV6_PREFIXLIST=y
- added   kernel-2.4-i586*.config: CONFIG_IPV6_NDISC_NEW=y

* Tue Jan 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.24-2m)
- fix md5sum

* Tue Jan 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.24-1m)
- update to 2.4.24
  https://rhn.redhat.com/errata/RHSA-2003-417.html
- update cpufreq_ver 20040105
- update acpi patch and NoPatch
- - modified about arch/i386/kernel/smpboot.c
- update Patch5 to momonga-cpufreq-20031203-2.patch
- update Patch33 to momonga-xfs-2.4.23-2-all-i386.bz2

* Fri Jan  2 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.23-9m)
- set CONFIG_BLK_DEV_SVWKS to y in *.config 
  http://developer.momonga-linux.org/kagemai/guest.cgi?project=momongaja&action=view_report&id=17

* Fri Dec 19 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.23-8m)
- change md5sum %%NoPatch 1 again

* Thu Dec 18 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.23-7m)
- update alsa-driver to 1.0.0rc2

* Tue Dec 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.23-6m)
- add #if defind(__KERNEL__) macro in i2c.h and i2c-dev.h

* Mon Dec 15 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.23-5m)
- add linux-2.4.23-fix-wm97xx.h.patch in order to hide 
  kernel local symbols out of user land application (ex. wm97xx_ts.c in DirectFB)
- all but BOOT kernel provides versioned 'alsa-driver' virtual package
- update acpi patch to 20031203 for 2.4.23

* Fri Dec 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.23-4m)
- no NoPatch Patch90: linux-2.4.23-i2c-2.8.1.patch
  because this patch was changed by upstream

* Sun Dec 07 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.23-3m)
- comment out Patch42002: cryptoapi-2.4.20.2-additional-cipher.patch
  since change kernel dirctory hierarchy(?)
- why can not use NoSource50: patch-int
- change kernel-2.4-i586*.config: '# CONFIG_XFS_TRACE is not set'

* Sat Dec 06 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.23-2m)
- update Patch42010: linux-2.4.23-usagi-snap-20031204-xcast6-0.1.5.2.diff

* Sat Dec 06 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.23-1m)
- update to 2.4.23
- update patch4000
- update source10
- aggregate patch5 + conflict patch: cpufreq patch
- update patch40: usagi patch
- delete patch42001: linux24-2.4.22-usagi-20030902_to_20031006.patch
- delete patch43: ipvs patch was included in linux kernel
- update patch39: packet write patch
- update patch50100: etables patch
- delete patch65: linux-CB-TXD patch maybe not need
- update Patch70: lvm-1.0.8-2.4.23.patch
- update Patch91: linux-2.4.23-lm_sensors-2.8.1.patch
- delete included Patch101: linux-2.4.22-megaraid2.patch
- update Patch600: linux-2.4.23-i810fb-0.0.35.patch
- delete no need Patch1022: linux-2.4.16-sym53c8xx_2_rename.patch
- comment out Patch2200: linux-2.4.4-qla1280.patch since
  drivers/scsi/ql12160_fw.h, drivers/scsi/ql1280_fw.h
  drivers/scsi/qla1280.c, drivers/scsi/qla1280.h in kernel tarball
  is newer than patch
- comment out included Patch3101: sk98lin_2.4.22-rc2.patch
- add patch6000 for sctp/ipv6.c
- change kernel-2.4-i586*.config: noATM, noTokenRing, noDecnet, noSCTP
- comment out patch28 since included 2.4.23 tarball
- update patch33: momonga-xfs-2.4.23-all-i386.bz2

* Fri Dec  5 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-30m)
- [security (local exploit)]
   add linux-2.4.22-brk-security-fix.patch

* Sun Nov 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-29m)
- update cpufreq patch to cvs-20031129

* Mon Nov 17 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-28m)
- update i2c and lm_sensors to 2.8.1

* Sat Nov  1 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-27m)
- update acpi patch to 20031002
- update ieee1394 to 1076
- update madwifi to 20031101
- add README of madwifi to kernel-doc (networking/madwifi.txt)

* Fri Oct 24 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-26m)
- update patch 80
- update patch 2500

* Thu Oct 23 2003 Hideo TASHIRO <tashiron@jasmiso.org>
- (2.4.22-25m)
- add Requires: kernel = %%{KVERREL} to kernel-headers

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-25m)
- update alsa to 0.9.8

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-24m)
- to generate smaller kernel, use -Os instead of -O2 for BOOT kernel

* Fri Oct 17 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-23m)
- update alsa to 0.9.7c

* Mon Oct 13 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-22m)
- change acpi patch URL. 
   see ftp://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/patches/README.ACPI
- update acpi to 20032006 (test release)

* Fri Oct 10 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-21m)
- add plugging/unplugging SCSI devices patch for ieee1394 hotplugging (Patch2700)
   Support for plugging/unplugging SCSI devices.  This feature is
   probably unsafe for standard SCSI devices, but is perfectly
   normal for things like ieee1394 or USB drives since these
   busses are designed for hotplugging.
- add patch 3105 for support VIA KT400(A)/600 AGP3.0 (from Vine kernel)
- add linux-2.4.22-cf03.patch(Patch129) for RATOC CF03 series (from Vine kernel)
- add GV-BCTV4/PCI tuner patch (linux-2.4.22-bctv4-tuner.patch, from Vine users ML)
- clean up linux-2.4.22-i810fb-0.0.35.patch 

* Thu Oct  9 2003 Kenta MURATA <muraken2@nifty.com>
- (2.4.22-20m)
- add i810fb driver.

* Wed Oct 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-19m)
- add BuildPreReq: unzip

* Tue Oct  7 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-18m)
- add megaraid2

* Tue Oct  7 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-17m)
- update usagi to 20031006
- update megaraid to 1.18k (reported by Dai OKUYAMA [Momonga-devel.ja:02125])

* Sat Oct  4 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-16m)
- update swsusp to 1.1-rc10
- revise xfs patch for swsusp-1.1-rc10

* Fri Oct  3 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-15m)
- update acpi to 20030916
- enable variable Hz again
- update alsa driver to 0.9.7a

* Sat Sep 27 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-14m)
- disable variable HZ by default.  variable HZ patch is not work with pcmcia.
     See http://members.optusnet.com.au/ckolivas/kernel/#faq
- add dummy variable HZ patch for other patches not to be rejected if variable HZ patch is not applied

* Mon Sep 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.22-13m)
- use another mppe implementation (http://www.polbox.com/h/hs001/)

* Sat Sep 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-12m)
- delete intelfb patch to 0.7.7, it was merged at 2.4.22-pre6

* Thu Sep 11 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-11m)
- update swsusp to 1.1-rc8H2
- fix compile error if swsusp is disabled
- momonga-swsusp-1.0-rc1-xfs-option.patch is no longer required by new swsuspend
- revise xfs patch for swsusp 1.1-rc8H2
- replace 'ln -sf ' with 'cp -a ' in ./patchin.sh not to includ invalid symlinks in kernel source package
- remove Patch7 (not used)

* Thu Sep 11 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-10m)
- update madwifi to cvs 20030910
- update speedstep patch to cvs 20030911
- remove speedstep_hack macro
- fix typo (etables -> ebtables)

* Mon Sep 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-9m)
- update xfs patch to xfs-2.4.22-all-i386.bz2
- add sharutils at BuildPreReq for uudecode use make madwifi

* Tue Sep  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-8m)
- add madwifi source into kernel-source package
- update ieee1394 to 1050
- update swsusp to 1.1rc8E
- revise linux-2.4.22-VFS-lock.patch for swsusp-1.1rc8E

* Tue Sep  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-7m)
- add bridge filter support
- update usagi to 20030902
- revise xcast patch for usagi 20030902
- remove unused Patch

* Fri Aug 29 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-6m)
- update ieee1394 to 1039
- add madwifi driver(for 802.11g)

* Thu Aug 28 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-5m)
- update alsa patch 210 (alsa-driver-0.9.6-Makefile.patch)
- add Requires dev >= 3.3-6m for snddevices

* Wed Aug 27 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-4m)
- disable mouse support in BOOT kernel in order to generate smaller kernel

* Wed Aug 27 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-3m)
- update usagi to 20030826
- remove linux24-20030820-miscfix.patch that was merged into usagi patch

* Tue Aug 26 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-2m)
- update orinoco driver

* Tue Aug 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-1m)
- update to released version of 2.4.22

* Sat Aug 23 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.22-0.4.1m)
- update cpufreq patch
- update to 2.4.22-rc4
- acpi patch is merged into rc patch
- revise usagi patch for 2.4.22-rc4
- revise i2c patch fot 2.4.22-rc4

* Sat Aug 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-0.2.15m)
- update xfs patch to 2003-08-21 version

* Fri Aug 22 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.14m)
- import patches from bitkeeper
    linux-2.4.22rc2-Fix-IGMPv2MLDv2-list-handling-OOPS-from_bk_1.1099.patch
    linux-2.4.22rc2-Fix-PPPoE-oops-from_bk_1.1091.patch
    linux-2.4.22rc2-Fix-Wrong-assumption-in-set_bh_page-from_bk_1.1098.patch
    linux-2.4.22rc2-Fix-dangling-multicast-device-references-from_bk_1.1100.patch
    linux-2.4.22rc2-Fix-nbd-race-conditions-from_bk_1.1085.patch
    linux-2.4.22rc2-Fix-ncpfs-time-from_bk_1.1088.patch
    linux-2.4.22rc2-Fix-ptrace-swap-race-from_bk_1.1090.patch
    linux-2.4.22rc2-Fix-trident-lockup-module-from_bk_1.1084.patch
    linux-2.4.22rc2-More-steal_locks-fixes-from_bk_1.1089.patch

* Thu Aug 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.13m)
- @CONFIG_HZ@ -> CONFIG_HZ=1000 in kernel-2.4-i586*.config
- install devfsd.conf.5
- install /etc/modules.devfs
- define print_specopt function in %%prep

* Thu Aug 21 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-0.2.12m)
- update sk98lin driver

* Wed Aug 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.11m)
- remove acpi-20030730-apic.patch (no longer required)
- unset CONFIG_X86_UP_APIC in BOOT kernel
- unset CONFIG_X86_UP_IOAPIC in BOOT kernel
- TODO:
-   preempt patch
-   BOOT kernelx may be too big to make installer

* Wed Aug 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.10m)
- update acpi patch to 20030813
- revise acpi-dsdt-initrd-v0.3-acpi patch for 20030813
- update usagi patch to 20030820
- remove usagi-fix.patch which is merged into original source
- revise linux24-20030818-miscfix.patch for 20030820

* Tue Aug 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.9m)
- resurrect cpufreq patch
- disable cpufreq on smp kernels
- set y to CONFIG_AGP_INTEL in BOOT kernel
- set y to CONFIG_AGP_VIA in BOOT kernel
- set y to CONFIG_AGP_AMD in BOOT kernel
- set y to CONFIG_AGP_SIS in BOOT kernel
- set y to CONFIG_AGP_ALI in BOOT kernel
- set y to CONFIG_AGP_SWORKS in BOOT kernel
- set y to CONFIG_AGP_NVIDIA in BOOT kernel
- TODO:
-   preempt patch 
-   helpers patch
-   BOOT kernel is too big to make installer

* Tue Aug 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.8m)
- add Software_Suspend_2.4_beta18-1.1rc4_Possible_hard_disk_corruption.patch
    this patch fixes possible hard disk corruption.
- fix compile error (zone_t -> struct zone_t)
- add packet write patch
- TODO:
-   cpufreq and linux-2.4.20-unresolved-cpu_has.patch
-   preempt patch 
-   helpers patch
-   BOOT kernel is too big to make installer

* Mon Aug 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.7m)
- resurrect usagi patch (update to usagi-20030818)
- revise usagi-fix.patch
- resurrect xcast6 patch (revised for 2.4.22-rc2)
- update ipvs patch to 2.4.22-pre5-1.0.10
- change default HZ to 1000 (updating initscripts is required)
- TODO:
-   cpufreq and linux-2.4.20-unresolved-cpu_has.patch
-   preempt patch 
-   helpers patch
-   BOOT kernel is too big to make installer

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.6m)
- add patch to improve 8139too behaviour on resume

* Wed Aug 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.22-0.2.5m)
- import xfs all patch and fix (imorrt KDB and kallsyms)
- cancel patch33001 include new patch33
- delete duplicate patch list 14,15
- force comment out lines

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.4m)
- resurrect xfs patch
- add ':' at set CONFIG_HZ

* Tue Aug 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.3m)
- update ieee1394 to 1026

* Mon Aug 11 2003 Kenta MURATA <muraken2@nifty.com>
- (2.4.22-0.2.2m)
- variable HZ.

* Mon Aug 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.2.1m)
- update 2.4.22-rc2
- stop to change SUBLEVEL to 21 in Makefile

* Thu Jul 31 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.22-0.1.1m)
- 2.4.22-pre8
- update acpi patch to 2.4.22-pre8-20030730
- fix compilation problem (Patch5)
- revise acpi-dsdt-initrd patch for 20030730
- linux-2.4.21rc3-acpi-relaxed-aml.patch is merged into upstream
- disable cpufreq and linux-2.4.20-unresolved-cpu_has.patch (toriaezu)
- disable preempt patch (toriaezu)
- disable usagi patch(40-42) (toriaezu)
- disable xfs patch (33,34) (toriaezu)
- linux-2.4.21-NFS_ALL.dif is merged into 2.4.22-pre8
- disable xcast patch (42010) (toriaezu)
- disable helpers (50) (toriaezu)
- remove momonga-kernel-2.4.21rc3-miscfix patch (3000)
- remove US_FL_START_STOP from some usb-storage patch
- set CONFIG_X86_UP_APIC=y in kernel-2.4-i586-BOOT.config
- set CONFIG_X86_UP_IOAPIC=y in kernel-2.4-i586-BOOT.config

* Thu Jul 31 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-19m)
- update to alsa 0.9.6
- delete alsa-driver-0.9.0rc7-xfs.patch
- force copy kernel-specopt.log to searching directory

* Thu Jul 30 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.21-18m)
- (*smp kernel) disable swsusp

* Mon Jul 28 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-17m)
- add patch linux-2.4.22-security.patch for proc and execve fixes 
  from rawhide 2.4.20-19.9
  http://www.linuxsecurity.com/advisories/redhat_advisory-3477.html
- add BuildRequires: momonga-release >= 20030721-1m
  and
  add BuildRequires: rpm >= 4.0.4-53m
  for use macros in /usr/lib/rpm/macros.momonga
- Please update OmoiKondara to revision 1.115 (adapt for global version)
  if you wannt use Omoikondara
- TODO: add patch linux-2.4.22-ide.patch for 
  update ide drivers to fix critical bugs
  from rawhide 2.4.20-19.9
- resolved: FIXME: we can not make when V4L is 1 (default is 0)

* Sun Jul 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.4.21-16m)
- patch-2.4.21-rc3-kraxel is no longer need.
- add new patch http://bytesex.org/patches/2.4.21/11-v4l2-api-2.4.21-rc4.diff.gz.
- add new patch http://bytesex.org/patches/2.4.21/10-scsi-media-changer-2.4.21-rc4.diff.gz.
- use %%NoSource and %%NoPatch macros.
- dump values in the specopt file.

* Tue Jul 22 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-15m)
- update xfs patch to 20030720
- update swsusp to 1.0.3
- add TC902X Gigabit Ethernet driver
- update schemix to 0.2.1

* Tue Jul 22 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-14m)
- add SpeedStep hack patch (disabled by default)
    to use this, set speedstep_hack to 1 in your specopt

* Mon Jul 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-13m)
- add Patch3003: linux-2.4.21-fix-for-gcc33.patch (from patch-2.4.22-pre7)
- update usagi to 20030721
- revise xcast6 patch for usagi-20030721
- update schemix to 0.2.0
- schemix no longer depends on devfs
- update bttv to 0.9.11
- update saa7134 to 0.2.8
- add patchfor NFS (Patch38)
- update ipvs patch to 1.0.9
- update helper patch(iptables) to 2.4.21
- update dc395 driver to 141
- revise *.config for preempt patch, ipvs, netfilter, ...
- update ieee1394 to 1013
  - Replace panic with BUG() and add return to fix compiler warning.
  - Change logic of nodemgr post-reset pause so that it isn't so silly. 
    Also fix compiler warning.
  - Fix typo, patch from Manish Singh.
  - Reset reset_retries after successful selfid check or after stopping
    a reset loop.
  - blk.h is obsolete now. Use blkdev.h instead.
  - Make use of sparc/sparc64's __irq_itoa() function to get correctly
    formatted irq printing.
  - Oh well, in 2.4, we need blk.h anyway, because of io_request_lock.
  - Make the NODE_BUS_FMT and NODE_BUS_ARGS macros take a host struct so it
    can output the host id aswell. Makes everything consistent now.
  - Patch from Daniele Bellucci fixing unchecked copy_from_user.
  - Better BUG handling for dma_region_find.

* Wed Jul 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-12m)
- fix unresolved symbols

* Wed Jul 16 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.21-11m)
  fix a build problem in alsa-driver 0.9.5 on smp env.
  update kernel drm modules.

* Mon Jul 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-10m)
- update alsa to 0.9.5

* Mon Jul 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-9m)
- fix unresolved symbol in ipv6.o

* Sat Jul 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-8m)
- update ieee1394 to 1001
    - Eth1394 fixups from Rampi KR (of HP).
      - Fix dg_size
      - Implement IP Multicast
      - Minor fixes elsewhere.
    - Lots of cleanups from myself.
    - Add comment about limited multicast.
    - Remove NETIF_F_FRAGLIST.
    - Minor cleanups.
    - Ok, spin_lock_init needs to only be called when we create the device
      (add_host). Forcing the lock to unlocked during open was probably patching
      over a bug somewhere else. Removing the workaround to either alleviate the
      brokeness, or expose the real bug.
    - Make the add/remove messages consistent between 2.4/2.5.
    - Add the host id to the "node changed" message.
    - Check internal state before proceeding with device open.
    - Use the damon name instead of the driver name to make things less ambiguous.
    - Make "Transmit DMA FIFO ... full" message debug only. With eth1394, it's
      very easy to fill this. This shouldn't cause us to get this message though.
    - Update comments.
    - Better default speed setup.
    - Set base ETH1394_DATA_LEN to ETH_DATA_LEN for now.
    - Fix min() types.
    - Include linux/pci.h
    - Cast 48bit constant to long long. Fixes valid gcc-3.3 warning.
    - Fix for old style sbp2 LUN's.
    - Added RECV_FLUSH rawiso ioctl. (this allows applications to check
      for those last few packets that buffer-fill mode tends to miss).
      Thanks to Alex Neundorf for the original version of this patch.
    - Added cpu_to_le32() when sending raw packets to fix problem with big
      endian machines sending PHY Config packets.
    - Fix usage of devinitdata version string in procfs. Noted by B. D. Elliott.
    - The hardware driver host removal logic has been modified so that a bus
      reset is issued to notify other nodes of a change in the local node's
      capabilites.  The ohci1394 driver clears out it's Config ROM and sets
      is Bus Options to not advertise any capabilities prior to the bus reset.
- add swsusp-1928-pre3-incremental.bz2
- update usagi to 20030712
- remove momonga-linux24-2.4.21-rc1-usagi-%{usagisnapver}-unresolved-fix.patch

* Tue Jul 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-7m)
- update intelfb patch to 0.7.7
- delete patch 1025 because that patch was merged to intelfb 0.7.7

* Sat Jun 28 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-6m)
- update Source50: patch-int

* Thu Jun 26 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.4.21-5m)
- update preempt patch.

* Tue Jun 24 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.21-4m)
  fix intelfb unresolved symbol.
  ieee1394 update to revision 967

* Thu Jun 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-3m)
- update mppe patch
- Provides: alsa-driver = %%{ALSAver} (See: [Momonga-devel.ja:01751])
- update ieee1394 to 962 and remove ieee1394-943-fix.patch
- update acpi patch to 20030619-2.4.21
- modify acpi-dsdt-initrd-v0.3.patch for 20030619-2.4.21
- remove toshiba_acpi_0.15-linux_2.5.69.patch

* Wed Jun 18 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-2m)
- replace intelfb driver to intelfb-0.7.6 (from 0.7.5)
- thanks to tsuruta [Momonga-devel.ja:01757]

* Sat Jun 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-1m)
- update to 2.4.21

* Fri Jun 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.8.2m)
- update ALSA to 0.9.4

* Wed Jun 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.8.1m)
- update to 2.4.21-rc8

* Wed Jun 04 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.7.1m)
- update to 2.4.21-rc7
- update Patch40: to momonga-linux24-2.4.21-rc1-usagi-20030604.patch

* Wed May 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.6.1m)
- update to 2.4.21-rc6
- update ieee1394 to 943(and small fix)
- update usagi to 20030528

* Wed May 28 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.6.0m)
- update to 2.4.21-rc6
- delete patch2702 added rc5
- update Patch210: alsa-driver-0.9.3c-makefile.patch

* Wed May 28 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.5.1m)
- update to 2.4.21-rc5
- add patch2702 for fix drivers/ide/pci/via82cxxx.c

* Tue May 27 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.4.1m)
- update to 2.4.21-rc4

* Sun May 25 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.3.4m)
- add acpi_debug macro
- define devfsddebug 0 if needdevfsd is 0
- add linux-2.4.21rc3-acpi-relaxed-aml.patch
    ignore some AML mistakes, such as off-by-one errors in region sizes.
    Many Toshiba laptops require this for correct operation of the AC module.

* Sun May 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.3.3m)
- update ALSA to 0.9.3c
- update Patch210 to alsa-driver-0.9.3c-makefile.patch
- update acpi patch to acpi-20030523-2.4.21-rc3.diff.gz,
  and comment out patch9, this patch was included tarball.
- rewind acpi patch to 20030512-2.4.21-rc2 for [acpiphp_glue.o] Error 1
- delete patch10 and with_new_acpi_driver=1 is default

* Sun May 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.3.2m)
- change Patch6000<1-6> URI to umn.dl for cesnet.dl was network unreached
- change Patch26 URI to umn.dl
- update preempt kernel patch20 to preempt-kernel-rml-2.4.21-rc3.patch
  2.4.21-0.3.1 could not compile enable preempt kernel patch
- update to rc3 Patch2500 to patch-2.4.21-rc3-kraxel
- comment out Patch2500 for avoid duplicate define

* Sat May 24 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.3.1m)
- update to 2.4.21-rc3
- delete define UML
- delete Patch2701
- update Patch3000

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.2.5m)
- update ieee1394 to 939
- update toshiba acpi patch to 0.15
- revive linux-2.4.21rc2-swsusp-md.patch
- add xcast6 patch
    this xcast6 is experimental imprementation
    disabled by default

* Thu May 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.2.4m)
- enable CONFIG_FBCON_ADVANCED
- update swsusp to beta19-patch27
- add swsusp-bootsplash patch
- use %%{?_smp_mflags} instead of %%{_numjobs}
- update ieee1394 to 931
- update acpi to 20030512
- disable ntfs patch for test
- more fix to momonga-kernel-2.4.21-rc1-miscfix.patch
    fix for make xconfig

* Sun May 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.2.3m)
- fix %%post section.
   reported by Ichiro Nakai([Momonga-devel.ja:01673])

* Sat May 10 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.2.2m)
- invoke /sbin/new-kernel-pkg in %%post
- update acpi-dsdt-initrd patch to v0.3
- remove momonga-linux-2.4.21rc1-acpi-dsdt-initrd-v0.2-2.patch

* Fri May 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.2.1m)
- update to 2.4.21-rc2
- adapt Patch25: bootsplash-3.0.7-2.4.21-rc2.diff to 2.4.21-rc2
- adapt Patch33: momonga-linux-2.4.20-xfs-2003-02-05_23:39_UTC.patch to 2.4.21-rc2
- adapt Patch4810: netfilter patch to 2.4.21-rc2
- adapt Patch90: linux-2.4.21pre5-i2c-2.7.0-momo01.patch to 2.4.21-rc2
- update kernel-2.4-i586-cm.config
- update kernel-2.4-i586-cm-smp.config
- update kernel-2.4-i586.config
- update kernel-2.4-i586-smp.config
- update kernel-2.4-i586-BOOT.config
- update kernel-2.4-i586-k7.config
- update kernel-2.4-i586-k7-smp.config
- update kernel-2.4-i586-p4.config
- update kernel-2.4-i586-p4-smp.config

* Fri May  9 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.1.12m)
- add /usr/src/linux-%{KVERREL}/include/acpi to %%files headers
- revise momonga-linux-2.4.21rc1-acpi-dsdt-initrd-v0.2-2.patch

* Fri May  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.21-0.1.11m)
- use '%{_numjobs}' instead of '$CPUS'

* Thu May  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.1.10m)
- revise momonga-linux-2.4.21rc1-acpi-dsdt-initrd.patch
   assign NULL to *new_table when the table is not replaced.

* Wed May  7 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.1.9m)
- update acpi-dsdt-initrd.patch to v0.2
- revise momonga-linux-2.4.21rc1-acpi-dsdt-initrd.patch
- add bootsplash patch

* Tue May  6 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.1.8m)
- revise dsdt-initrd
- remove Patch7: acpi-override-os-name-1.patch
- remove Patch8: acpi-override-os-name-2.patch

* Tue May  6 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.1.7m)
- add dsdt-initrd patch from linux-acpi ML with small expansion

* Sun May  4 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.1.6m)
- enable CONFIG_DEBUG by default
- apply swsusp19 again
- add Requires: devfsd if %%needdevfsd is true
- update 1394 driver to 925
   changes are:
    916:
	Fix proc file output.
    917:
	Move some of the hotplug stuff to nodemgr.h. Leave
	the device_id struct and match defines. In 2.5,
	we are moving those defines to linux/mod_devicetable.h.
    919:
	Finish off the move of the hotplug stuff to nodemgr.h,
	and make everythingcompile again.
    921:
	Patch from Steve Kinneberg to fix possible crashes when
	receiving async stream packets. Also cleaned up debug
	messages.
    923:
	Fix possible oops in variable packet size ioctl.
	The packet_sizes pointer needs to be pulled in via
	copy_from_user just the same as the origina
	video1394_queue_variable is. Caught by the Standford Checker.
    924:
	Check NULL before freeing qv.packet_sizes.
    925:
	copy_from_user does access_ok, so remove the duplication.

* Fri May 02 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.21-0.1.5m)
- import bttv fix by Imuta,Takeshi [Momonga-devel.ja:01616]
- changelog is below
- - update bttv to 0.9.10
- - update saa7134 to 0.2.7
- - use release version patch http://bytesex.org/patches/2.4/patch-2.4.20-kraxel.gz
- - NoSource 4 and NoSource 5 and NoPatch 2500
- - add install btcx-risc.o
- - fix kernel-source files section
- update preempt-kernel patch to 2.4.20-3
- thanks to SIVA [Momonga-devel.ja:01617]

* Thu May  1 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.21-0.1.4m)
- merge from KERNEL_2_4_21 branch
-
- changes are:
-
-* Thu May  1 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.rc1.3m)
-- fix unresolved symbols
-- remove Provides: NVIDIA_kernel
-
-* Sun Apr 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.rc1.2m)
-- update usagi to 20030428
-- enable ipv6 again
-
-* Sun Apr 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.rc1.1m)
-- update to 2.4.21-rc1
-- remove Patch88: linux-2.4.20-aic79xx-1.1.0.patch(which is merged into 2.4.21-pre patch)
-- remove nVidia driver
-- update ieee1394 to 913
-- use netfilter-helpers(thanks to Dai OKUYAMA[devel.ja:01596])
-
-* Sun Mar 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.6.3m)
-- fix typo in drivers/net/Config.in
-
-* Fri Mar 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.6.2m)
-- remove Source7: http://www10.software.ibm.com/developer/opensource/jfs/project/pub/jfs-2.4-1.1.2.tar.gz (which is merged into 2.4.21-pre patch)
-- remove Patch30: momonga-linux-2.4.20-ext3fix.patch(which is merged into 2.4.21-pre patch)
-- remove Patch38: linux-2.4.20-NFS_ALL.patch
-- remove reiserfs fixes
-- remove Patch55: linux-2.4.20-fix-ptrace-vulnerability.patch(which is merged into 2.4.21-pre patch)
-- remove Patch66: linux-2.4.20-orinoco-0.13b.patch(which is merged into 2.4.21-pre patch)
-- update acpi to 20030328
-
-* Fri Mar 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.6.1m)
-- update to 2.4.20-pre6
-
-* Fri Mar 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.5.2m)
-- update acpi to 2.4.21pre5-20030321
-
--* Sat Mar  1 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.6.1m)
-- update to 2.4.21-pre6
-
-* Sat Mar  1 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.5.1m)
-- update to 2.4.21-pre5
-- update acpi to 20030228
-- revise cpufreq-2.4.21-pre4-3.gz for pre5 (momonga-cpufreq-2.4.21-pre5-3.patch)
-- revise hubcot patch for pre5
-- revise kondara-linux-2.4.0-3c90x.patch for pre5 (momonga-linux-2.4.20-3c90x.patch)
-- revise linux-2.4.2-ali-dma.patch for pre5 (linux-2.4.20-ali-dma.patch)
-- make some build probrem fix (momonga-kernel-2.4.21-pre5-miscfix.patch)
-- NOT YET TESTED
-
--* Thu Feb 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
-- (2.4.21-0.4.1m)
-- create KERNEL_2_4_21 branch at KERNEL_2_4_21-bp in cvs repository
-- update to 2.4.21-pre4
-- update acpipatch to 20030218
-- revice acpi-ecdt-toriaezu.patch to work correctly if IBM fixes their firmware
-- update lm_sensors to 2.7.0
-- ext3 fix of data corruption bug in journal mode is merged into vanilla kernel
-- tentatively comment swsusp out
-- tentatively disable IPv6
-- remove UML

* Tue Apr 29 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-48m)
- add in kernel scheme interpreter patch(not applied by default)
- add acpi-remove-duplicated-acpi_ut_remove_reference.patch(from linux-acpi ML)

* Mon Apr 28 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.20-47m)
- import Patch: 48
  auto get program in omokon (ex. lftpget, wget) was not work, because this site is checking refer
- update usagi patch 20030427 to 20030428

* Mon Apr 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-46m)
- replace kondara-linux-2.4.2-via-timer.patch with new-via-check.diff(Patch2214)
- fix typo in unicon-kernel-2.4.20.patch(Patch2600)
- remove nvidia driver
- update ntfs driver to 2.1.3a
- new netfilter helper
  http://roeder.goe.net/~koepi/newnat/helpers-2.4.20.patch.gz
  thanks to Dai OKUYAMA [devel.ja:01596]

* Thu Apr 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.20-45m)
- add URL: http://www.kernel.org/

* Mon Apr 21 2003 Kenta MURATA <muraken2@nifty.com>
- (2.4.20-45m)
- support build on distcc (for OmoiKondara-1.104).
- update config file for %%{additionalciphers}.

* Thu Apr 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-44m)
  NVIDIA_kernel: update to 4349
  ieee1394:      update to revision 856
  usagi:         update to 20030410

* Sun Mar 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-43m)
- revise config
   CONFIG_IPV6_6TO4_NEXTHOP=m
   CONFIG_IPV6_ANYCAST=n
   CONFIG_IPV6_NODEINFO=y
   CONFIG_IPV6_NODEINFO_USE_UTS_DOMAIN=n

* Fri Mar 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-42m)
- add ntfs patch
- enable NTFS write

* Thu Mar 27 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-41m)
  support online resize ext3 fs

* Wed Mar 26 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-40m)
  jfs:      update to 1.1.2
  bttv:     update to 0.9.9
  saa7134:  update to 0.2.6
  usagi:    update to 20030326
  reiserfs: applied more patches

* Tue Mar 25 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-39m)
  swsusp:    update to 19
  ieee13994: update to revision 848
  xfs:       update to 2003-02-05_23:39_UTC
  fix unresolved symbol in md and longrun

* Sun Mar 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.20-38m)
- alsa-driver: update to 0.9.2
- add "--owner=0 --group=0" at tar -zcf headers-kernel_type.tar.gz
- update Patch6 to patch-acpi-acpi20030228-swsusp19.gz
  but patch failed => rewind
- no NoPatch: 6
  why this patch was not retrieve by lftp?
- update Patch20: preempt-kernel-rml 2.4.19-2 to 2.4.20-1

* Wed Mar 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-37m)
- [security] fix ptrace local vulnerability(Patch55)
  see http://www.uwsg.iu.edu/hypermail/linux/kernel/0303.2/0226.html

* Tue Mar 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-36m)
- enable NTFS read/write on i586-BOOT kernel
- update cpufreq to 2.4.20-9
- add linux-2.4.20-agpgart-via-resume.patch

* Fri Mar 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-35m)
  lvm:         update to 1.0.7
  ieee1394:    update to revision 838
  alsa-driver: update to 0.9.1

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-34m)
  usagi:       update to 20030310
  ieee1394:    update to revision 829
  alsa-driver: 0.9.0rc8d

* Thu Mar  4 2003 Junichiro Kita <kita@momonga-linux.org>
- (2.4.20-33m)
  apply VFS-lock patch(included in LVM) for LVM snapshot with ext3/reiserfs.

* Sat Mar  1 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-32m)
  usagi:    update to 20030301
  ieee1394: update to revision 810
  bttv:     update to 0.9.6
  saa7134:  update to 0.2.5
  ipvs:     update to 1.0.7
  bcm5700:  update to 2.2.30

* Thu Feb 20 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-31m)
  tulip: update to 1.1.8
  hostap: update to cvs version(2003-02-20)

* Wed Feb 19 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-30m)
  ext3: applied patches.
    http://www.zipworld.com.au/~akpm/linux/ext3/
  ieee1394: update to revision 795

* Mon Feb 17 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-29m)
  merged orinoco 0.13b

* Sat Feb 15 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-28m)
  adaptec aic79xx driver imported.

* Fri Feb 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.20-27m)
  xfs: update to snapshot 2003-01-14_00:43_UTC.
  reiserfs: applied patches.
    Patch30000   01-iput-deadlock-fix.diff
    Patch30001   02-directio-fix.diff
  ieee1394: update to 781
  nfs: applied patch(http://www.fys.uio.no/~trondmy/src/2.4.20/linux-2.4.20-NFS_ALL.dif)
  usagi(ipv6): update to 20030213

* Fri Feb  7 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-26m)
- update ieee1394 driver to 775

* Fri Feb  7 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-25m)
- add patch to override OS name in ACPI(not yet applied)

* Wed Feb  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.20-24m)
- add netfilter-h323-20030107.patch

* Tue Feb  4 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-23m)
- fix i2c header location
- enable CONFIG_VXFS_FS
- ppc: enable CONFIG_NTFS_FS

* Sun Feb  2 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-22m)
- update ieee1394 driver to 765 in linux-2.4 branch
- remove ieee1394-744-fix.patch

* Sun Feb  2 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-21m)
- update alsa driver to 0.9.0rc7

* Sat Feb  1 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-20m)
- update lm_sensors to 2.7.0

* Mon Jan 27 2003 Kenta MURATA <muraken@momonga-linux.org>
- (2.4.20-19m)
- require mkinitrd >= 3.4.33 (to use %%{mkinitrd_ver}).

* Sat Jan 25 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-18m)
- update nvidia driver to 4191

* Sat Jan 25 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-17m)
- merge into HEAD
- remove HT-det patch

* Fri Jan 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.20-16m)
- ignore IBM ECDT table (toriaezu).
  see http://sourceforge.net/mailarchive/forum.php?thread_id=1550393&forum_id=6102

* Thu Jan 23 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-16m)
- disable devfs on BOOT kernel

* Thu Jan 23 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-15m)
- revice pptp netfilter patch(Patch48) for iptables

* Wed Jan 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-14m)
- update USAGI to 20030115
- remove usagi-2.4.20-20021218-fix-udp.patch(fixed in original source)
- replace ieee1394 patch by development version
- fix compile error in ieee1394 module
- specoptize needdevfsd macro
- devfsd requires kernel >= 2.4.10

* Fri Jan 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-13m)
- revise ext3 journal patch(Patch30) (imported from kernel-2.4.18-19.8.0.src.rpm)
- modify xfs patch for ext3 patch (linux-2.4.20-xfs-2.patch)
- update usagi patch to 20030111
- remove usagi-export-ipsec_sp_get.patch (fixed in usagi-20030111)
- update cpufreq to 2.4.20-5 (22200110)
- update additional crypt cipher to 2.4.20.1

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.20-12m)
- update xfs to 'snapshot 2.4.20-2002-12-18_02:00_UTC'

* Mon Dec 23 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-11m)
- fix IPv4 UDP problem(usagi-2.4.20-20021218-fix-udp.patch)

* Sat Dec 14 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-10m)
- update usagi patch to 20021218
- add Patch42001: usagi-export-ipsec_sp_get.patch to export ipsec_sp_get
- add make clean to make sure that unicon and v4l2 modules are built correctly

* Sat Dec 14 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.20-9m)
- update acpi patch.
- update swsusp patch.

* Tue Dec 12 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.20-8m)
- UNICON support
- use official 'hidden-2.4.20pre10-1.diff'

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.20-7m)
- update Prism2 hostap driver.

* Tue Dec 10 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-6m)
- fix data corruption bug in ext3 journal mode

* Wed Dec  4 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.20-5m)
- linux-2.4.20-gcc32.patch should be always applied if gcc is 3.X

* Tue Dec  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.20-4m)
- disable v4l2 by default

* Sun Dec  1 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.20-3m)
- apply a v4l2 patch (http://bytesex.org/v4l/)
- import bttv module (http://bytesex.org/bttv/)
- import saa7134 module (http://bytesex.org/saa7134/)
- apply ppc related patches on ppc only.

* Sat Nov 30 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.20-2m)
- swsusp b15

* Sat Nov 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.20-1m)
- linux-2.4.20
- update usagisnap to 20021130
- update newacpi to 20021126-rc3
- revise hidden patch
- revise swsusp patch

* Mon Nov 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.20-0.8.4m)
- alsa-driver-0.9.0rc6

* Fri Nov  1 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.20-0.8.3m)
- part kernel-utils
- support CASIO Cassiopeia Fiva 102/102/103S (set fiva -> 1)
- lvm update to 1.0.6

* Wed Oct 30 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.20-0.8.2m)
- cpufreq advanced version

* Sat Oct 26 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.19-3m)
- use mppe support of ppp cvs snapshot instead of
  'linux-2.4.16-openssl-0.9.6b-mppe.patch.gz'

* Fri Oct 25 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.19-2m)
- version 2.4.19

* Thu Oct 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.18-128m)
- alsa-driver-0.9.0rc5
- uml version 53
- force '--with-cards=all'

* Tue Oct  1 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.18-127m)
- revise for ppc

* Fri Sep 20 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.18-126m)
- s/bin86/dev86/g

* Sat Sep 14 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-125m)
- add %%{?include_specopt} to include local configuration
- update nVidia DRM to 3123 and add linux-2.4.18-NVIDIA-3123.patch
- add patchs for smbfs(http://www.hojdpunkten.ac.se/054/samba/index.html)
- update usagi to CVS-20020914
- fix typo

* Sat Sep 14 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.4.18-124m)
- [non-x86] remove remaining ELFs
- slightly modify perl script in BuildALSA()
- ALSA msnd-pinnacle may not be compiled not only on alpha
  but all non-x86 archs because this driver uses the x86 specific variable.

* Sat Sep 14 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.4.18-123m)
- Added CLIE T650C memory stick ID.

* Thu Sep 12 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.4.18-122m)
- [alpha] do not build ALSA msnd-pinnacle driver (comiplation was failed)

* Tue Sep  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-121m)
- import patches from redhat
  Patch2009: linux-2.4.18-intermezzo.patch    # fix the copy_from/to_user error handling
#  Patch2011: linux-2.4.19-pageattr.patch      # fix the cache attribute conflict problem
  Patch2012: linux-2.4.18-lsb.patch           # add lsb conformance fixes
  Patch2013: linux-2.4.18-ns83820-0-17.patch  # update ns83820 driver
  Patch2014: linux-2.4.19-ns83820-0-18.patch  # update ns83820 driver
- remove with_new_alsa macro

* Mon Sep  2 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-120m)
- update usagi to CVS-20020902

* Mon Aug 26 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.4.18-119m)
- use alsa 0.9.0rc3

* Thu Aug 22 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-118m)
- fix nested %if statements in UML build section

* Thu Aug 22 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.4.18-117m)
- add option to build alsa 0.9.0rc3 instead of 0.5.12
  to use new alsa, define with_new_alsa to be 1
- commented nested %if statements in UML build section,
  these cause rpm parsing errors.. NEEDS FIX
- based on devel.ja:00342 patches

* Thu Aug 22 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-116m)
- define configuration macro only if not defined in command line
- add cryptoapi additional ciphers(to avoid license/patent issue, additional ciphers must be NoSource. Users can enable these ciphers by defining 'additionalciphers' macro as 1. THIS IS COMPLETELY AT YOUR OWN RISK.)

* Wed Aug  7 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-115m)
- update acpipatch to 20020726
- update jfs to 1.0.21
- fix %%description (Kondara MNU/Linux -> Momonga Linux) Thanks Tim Kennard.
- add usb-storage-sony-dsc.patch for SONY CyberShot U10 ([Momonga-devel.ja:00356] Sony Cybershot U10 (DSC-U10) patch by Kyoichi Ozaki)

* Sun Aug  4 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-114m)
- cancel RTL8150 driver

* Sun Aug  4 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-113m)
- update usagi to 20020803(last daily snap for 2.4.18)
- revise usagi-fix-patch to remove useless line
- backport from usagi-2.4.19(Patch42001)
- add RTL8150 driver(for BUFFALO LUA-KTX)
- UML: enable crypto if %_ipv6 is 1
- revise *.config

* Sat Aug  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.18-112m)
  add 'linux-2.4.18-nfsctl.c.patch' for ppc
  revise ppc configurations
  use '%{ix86}' (that includes athlon)

* Fri Aug  2 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.18-111m)
  uml update to 49
  fix patch e100 and e1000 #60 #61

* Wed Jul 31 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.18-110m)
  uml update to 48
  e100 driver update to 2.1.6
  e1000 driver update to 4.3.2
  buildcc change to gcc 2.96

* Mon Jul 29 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.18-109m)
  uml update to 46

* Sat Jul 27 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-108m)
- add ide driver patch which supports UDMA133 with 48 bit addressing

* Fri Jul 26 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.18-107m)
  uml update to 45
  ksymoops update to 2.4.6
  ipvs update to 1.0.4
  with_new_acpi_driver switch turn on

* Fri Jul 26 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-106m)
- update newacpi patch to 20020725
- remove pciirq patch(Patch6). this patch is merged into newacpi patch.
- new acpi patch enabled by default
- copy %PATCH2301 to %{_libdir}/uml


* Fri Jul 26 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-105m)
- add usb serial ELECOM ID patch(Patch125)
  see [Momonga-devel.ja:00199] (Thanks northriv@Kyoto)

* Wed Jul 24 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.18-104m)
  uml update to 43
  fix unresolved symbol

* Tue Jul 23 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.18-103m)
  xfs update to 1.1
  lvm update to 1.0.5
  uml update to 42
  remove hpc switch

* Thu Jul 18 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.4.18-102m)
- clean up spec
- add comments (thanks puntium)

* Wed Jul 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.18-101m)
- add linux-2.4.18-file-max-limit-DoS.patch (security fix)

* Wed Jul 10 2002 YAMAZAKI Makoto <zaki@momonga-linux.org>
- (2.4.18-100m)
- add preemptive patch(Patch20)
  to enable this patch, define preemptible_kernel as 1
- not apply HyperThreading determination patch if with_new_acpi_driver is 1

* Wed Jul 10 2002 smbd <smbd@momonga-linux.org>
- (2.4.18-99m)
- add HyperThreading determination patch

* Tue Jul  9 2002 YAMAZAKI Makoto <zaki@momonga-linux.org>
- (2.4.18-98m)
- add toshiba laptop acpi driver(Patch8,Patch9)

* Tue Jul  9 2002 YAMAZAKI Makoto <zaki@momonga-linux.org>
- (2.4.18-96m)
- update usagi 20020708
- newacpi: update pciirq patch to pciirq.27.acpi24.diff

* Fri Jun 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.18-94k)
  momonga logo
  remove fbcon.c.largelogo.patch

* Thu Jun 27 2002 Tsutomu Yasuda <hab03481@syd.odn.ne.jp>
- (2.4.18-92k)
  jfs 1.0.20
  added User-Mode Linux sub package.

* Wed Jun 26 2002 Toru Hoshina <t@kondara.org>
- (2.4.18-90k)
- applied nfsd_module_init_alpha.patch.

* Sun Jun 23 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-88k)
- update acpi patch to acpi-20020611-2.4.18.diff.gz
  remove y2k.acpi.patch (included acpi-20020611-2.4.18.diff.gz)
  change target filename from acpi_processor.c to processos.c(ich3m1.2.acpi.patch, lowerlatency.3.acpi.diff)

* Sat Jun 22 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-86k)
- set ciphers static
- nVidia DRM update to 2960
- add Provides: NVIDIA_kernel  if arch is ix86

* Thu Jun 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-84k)
  jfs update to 1.0.19.
  ksymoops update to 2.4.5.
  devfsd update to 1.3.25.
  update nfsd patch and always apply.

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-82k)
- cancel gcc-3.1 autoconf-2.53

* Tue May 28 2002 Toru Hoshina <t@kondara.org>
- (2.4.18-80k)
- mukimuki iraira patch has been revised.

* Tue May 28 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-78k)
  applied USB Serial USA-19QW and USA-19QI support patch(#124).

* Thu May 23 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-76k)
  applied gcc31 patch

* Mon May 20 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-74k)
  applied VIA ide patch

* Fri May 17 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-72k)
- update USAGI patch to 20020517 which includes security fix (See usagi-users ML 01462)
- revise kernel IPv6 configuration

* Fri May 17 2002 Kenta MURATA <muraken@kondara.org>
- (2.4.18-70k)
- i586-hoge.config wo kosso-ri update.

* Sat May 11 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-68k)
  based rpm package ftp://ftp.compaq.com/pub/products/servers/supportsoftware/linux/RedHat/
  cpqarray 2.4.21B
  cciss 2.4.30
- (2.4.18-70k)
  lvm module update to 1.0.4

* Fri May 10 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-66k)
- [newacpi] update pciirq patch(Patch6) to pciirq.17.acpi.diff
- [newacpi] remove acpi-20020503-simplefix.patch(Patch2) (merged into Pacth6)

* Mon May 10 2002 Toru Hoshina <t@kondara.org>
- (2.4.18-64k)
- _ipv6 is finally enabled. Although I'm aware of the danger, who's going
  to care of the issue? I'd like you guys to be hashiraz. The purpose is
  that we'd know v6 enabled something cause severe damage for existing v4
  environment or not.

* Mon May  6 2002 Toru Hoshina <t@kondara.org>
- (2.4.18-62k)
- revised module-info
- revised kernel-2.4-i586-BOOT.config.

* Sun May  5 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-60k)
- add newacpi lowlatency patch
- add newacpi ipatch (PCI IRQ routing probrem fix)

* Sun May  5 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-58k)
- revice %post script (for installer)
- add newacpi bugfix patch

* Sun Apr 28 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-56k)
  newacpi minor bugfix

* Thu Apr 25 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-54k)
  bcm5700 Gigabit NIC driver 2.2.8

* Tue Apr 23 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-52k)
- newacpi driver update
  remove dereference-null patch
  add pciirq patch

* Sat Apr 20 2002 Toru Hoshina <t@kondara.org>
- (2.4.18-50k)
- /usr/src/linux-2.4.18-48k/drivers/char/drm/nVidia
- /usr/src/linux-2.4.18-48k/drivers/scsi/pcmcia/load_fw.ratoc
- iraso for alpha.

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-48k)
- add usb device ID patch from [Kondara-devel.ja:06263], thanks Naoki Yamaya <yamap@browncat.org>

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-46k)
- ieee1394: moved the phyreq enabling on a selfid to after the point at which the busreset event is cleared.

* Mon Apr 15 2002 Toru Hoshina <t@kondara.org>
- (2.4.18-44k)
- revised kernel-2.4-i586-BOOT.config, kernel-BOOT has expanded a bit...
- it couldn't be built with existing anaconda for installable iso images.

* Sat Apr 13 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-42k)
- Patch2: fix for crash on various ASUS motherboard when with_new_acpi_driver is defined as 1

* Fri Apr 12 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.4.18-40k)
- clean up spec file
- update Prism2 to 2002-04-10

* Fri Apr 12 2002 Kenta MURATA <muraken@kondara.org>
- (2.4.18-40k)
- gomennasa----------------------------------------i

* Fri Apr 12 2002 Kenta MURATA <muraken@kondara.org>
- (2.4.18-38k)
- ummmm...

* Fri Apr 12 2002 Kenta MURATA <muraken@kondara.org>
- (2.4.18-36k)
- CONFIG_ACPI_BOOT and CONFIG_ACPI_INTERPRETER.

* Thu Apr 11 2002 Toru Hoshina <t@kondara.org>
- (2.4.18-34k)
- ramfs and cramfs is needed for kernel-BOOT !

* Sun Apr  7 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-32k)
- not apply Patch15(acpi-20020404-2.4.18.diff.gz) if %{hpc} is 1
- Patch15 conflicts with athlon.
  if you want to try this driver, please set with_new_acpi_driver as 1

* Sun Apr  7 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-30k)
- acpi update for ix86. See [Kondara-users.ja:07717]
  import acpi patch(Patch15: acpi-20020404-2.4.18.diff.gz)
  import usb-storage-sony-ms.patch from [Kondara-users.ja:07717]

* Fri Apr  5 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.4.18-28k)
- update ips to 4.84
- update ipvs to 1.0.2
- update jfs to 1.0.17
- nVidia DRM update to 2880

* Wed Apr 03 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-26k)
- IPv6 update
  update USAGI to dailysnap-20020403
  divide linux-zlib_double_free.patch into Patch2218 and Patch2219
  update configuration files
  add BuildPreReq: texinfo

* Tue Apr 02 2002 Toru Hoshina <t@kondara.org>
- CONFIG_DEBUG_KERNEL is unset. suma-so. FastTrack HOGE, ServRAID, Alpha...

* Tue Apr 02 2002 Toru Hoshina <t@kondara.org>
- (2.4.18-24k)
- mppe patch is applied for ix86 only.
- CONFIG_DEBUG_KERNEL is activated for evaluation again, if you face any
  serious situation, please set config_debug as 0 on the top of this spec.

* Sun Mar 31 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.4.18-22k)
- update ipvs to 1.0.1
- update e100 to 1.8.38
- update e1000 to 4.1.7
- update Prism2 to 2002-03-27
- update i2c to 2.6.3
- update lm_sensors to 2.6.3

* Sat Mar 30 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.4.18-20k)
- unset CONFIG_NETFILTER_DEBUG t.o.b.a.s.h.i

* Tue Mar 26 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-18k)
  update ieee1394 driver to cvs 2002/03/26 (Source200)
  remove ieee1394-cvs-20020314.patch(merged to Source200)

* Tue Mar 26 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.4.18-16k)
- import linux-2.4.16-openssl-0.9.6b-mppe.patch.gz

* Mon Mar 18 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.18-14k)
  update ieee1394 driver to cvs 2002/03/18 (Source200)
  major and minor number of /dev/video1394? was changed from 172,0- to 171,16-
  disable pcilynx driver

* Thu Mar 14 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.4.18-12k)
- update xfs to 2002-03-04
- modify reiserfs quota patch
- update ipvs to 1.0.0
- update dc395_trm to 138
- update e100 to 1.8.37
- update e1000 to 4.0.7

* Tue Mar 12 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-10k)
  fix zlib double free
  http://lwn.net/alerts/RedHat/RHSA-2002%3A026-35.php3

* Mon Mar 11 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-6k)
  aic7xxx driver updated to 6.2.5
- (2.4.18-8k)
  nVidia DRM update to 2802

* Tue Mar  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-4k)
- corega CB-TXD supported.

* Wed Feb 27 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4.18-2k)
- update to release 2.4.18
- jfs update to 1.0.15
- ymfpci alsa driver version down to 0.5.11
- lvm module update to 1.0.3
- tridentfb was disabled
- CONFIG_IDEDMA_PCI_WIP switch turned to y
- CONFIG_AMD74XX_OVERRIDE switch turned to y

* Sat Feb 16 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.18-0.0009004k)
- add nFroce audio driver patch for alsa

* Thu Feb  7 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.18-0.0009002k)
- update to 2.4.18-pre9

* Mon Feb  4 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.18-0.0008002k)
- update to 2.4.18-pre8
- add linux-2.4.18-pre8-cipe-fix.patch to fix for 2.4.18-pre8

* Thu Jan 31 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.18-0.0007010k)
- update ipvs to 0.9.10

* Mon Jan 28 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.18-0.0007008k)
- update jfs to 1.0.14
- merge to HPC kernel

* Sun Jan 27 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.18-0.0007006k)
- add serching CPU nums for kernel making

* Sat Jan 26 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.18-0.0007004k)
- update jfs to 1.0.13

* Fri Jan 25 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.18-0.0007002k)
- update to 2.4.18-pre7

* Thu Jan 24 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.18-0.0006004k)
- add cipe-1.5.2-security-fix-2002-01-07.patch
- update ipvs to 0.9.9
- update xfs to 2002-01-23
- fix mkinitrd release number to 3.0.9-28k for above xfs patch

* Tue Jan 22 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.18-0.0006002k)
- update to 2.4.18-pre6

* Sun Jan 20 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-26k)
- update Prism2 to 2002-01-03
- modify spec about BuildALSA

* Tue Jan 15 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-24k)
- revise to use gcc_2_95_3 on alpha and alphaev5
- import many patches from 2.4.18-pre4

* Tue Jan 15 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-22k)
- revise to use gcc_2_95_3 but alpha and alphaev5, because of unstable
  on p4-smp kernel

* Mon Jan 14 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-20k)
- update xfs to 2002-01-11
- modify to use jfs original patch
- update usagi ipv6 patch to 20020114
- modify mkinitrd release number and add --ifneeded to execution

* Thu Jan 10 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-18k)
- import reiserfs patch from 2.4.18-pre3

* Wed Jan  9 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-16k)
- import many patches from 2.4.18-pre2

* Tue Jan  8 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-14k)
- update jfs to 1.0.12

* Mon Jan  7 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-12k)
- import linux-2.4.17-mcr-u2.patch for Melco CF and SM Reader

* Sun Dec 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-10k)
- import nVidia driver

* Fri Dec 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-8k)
- import reiserfs and nfs patch from 2.4.18-pre1
- set CONFIG_IDEDMA_PCI_AUTO for all BOOT kernel

* Mon Dec 24 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-6k)
- fix spec file for jitterbug #994
- set CONFIG_TULIP_MMIO m
- update usagi ipv6 patch to linux24-2.4.17-usagi-20011226.patch.gz
- add pptp netfilter
- update e100 to 1.6.29
- update e1000 to 3.6.8

* Sat Dec 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-4k)
- fix unresolved symbol on sis.o
- clean up spec file
- add linux-2.4.17-alpha-u8163264.patch for u8, u16, u32, u64 and ...

* Sat Dec 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.17-2k)
- update to 2.4.17
- errase aac patch, because kernel source include
- errase linux-2.4.13-alpha-irongate.resolved.patch
- fix for Alpha Architecture

* Tue Dec 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.16-6k)
- update devfsd to 1.3.20
- update jfs to 1.0.11
- update Prism2 to 2001-12-18
- modify specfile robustly for mkinitrd when /etc/fstab does not exist
- set CONFIG_NFS_V3 y for all BOOT kernel
- add linux-2.4.16-correga_usb-txs.patch for Corega FEter USB-TXS
- affect CONFIG_PM on hpc kernel

* Wed Dec 12 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.16-4k)
- fixed for Alpha architecture
- update usagi ipv6 patch to linux24-2.4.16-usagi-20011213.patch.gz
- update ipvs to 0.9.8
- update dc395x to 1.35
- update Prism2 to 2001-12-10
- add linux-2.4.16-sym53c8xx_2_rename.patch because there are two sym53c8xx module
- fix spec file for HPC

* Mon Dec 10 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.16-2k)
- update to 2.4.16
- update ALSA driver to 0.5.12a for kernel 2.4.16

* Mon Dec 10 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-36k)
- revert jfs to 1.0.9
- unset CONFIG_DEBUG_KERNEL, because sometimes occurs kernel panic with xfs

* Thu Dec  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-34k)
- revert alsa version to 0.5.11
- update jfs to 1.0.10
- up CONFIG_AIC7XXX_CMDS_PER_DEVICE to 24

* Sun Dec  2 2001 Toru Hoshina <t@kondara.org>
- (2.4.13-32k)
- R.I.P. egcs, still remained egcs...

* Thu Nov 29 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.4.13-30k)
  aic7xxx ver 6.2.4 driver has problem with AlphaServer DS20E.
  use default driver.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.4.13-28k)
- add mkinitrd at post phase.
- CONFIG_DEBUG_KERNEL is enabled again.

* Sat Nov 24 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-26k)
- modify ratoc patch for typo

* Thu Nov 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-24k)
- unset CONFIG_ALPHA_LEGACY_START_ADDRESS on alpha kernel except alphaev5
- mode e1000 and e100 man page to doc package

* Tue Nov 20 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-22k)
- modify linux-2.4.13-nfsroot-infinite.patch to work correctly
- update lm_sensors and i2c patch to 2.6.2
- add hubcot.patch and kernel-nforce-video.patch from dora@kondara.org

* Sun Nov 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-20k)
- update xfs to 2001-11-02 split patch
- add linux-2.4.13-nfsroot-infinite.patch to mount nfsroot infinitely
- update dc395x_trm to 134

* Mon Nov 12 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-18k)
- import many patches from 2.4.14

* Sat Nov 10 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-16k)
- udpate jfs to 1.0.9
- update cciss to 2.4.23D
- update cpqarray to 2.4.20D
- update cpqfc to 2.1.1
- update Prism2 to 2001-11-10

* Wed Nov  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-14k)
- update aacraid to 20011105
- update Prism2 to 2001-11-05
- update xfs to 2001-10-27

* Mon Nov  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-12k)
- add planb patch for ppc
- add cb31_cb and cb32_cb module from RATOC (http://www.ratocsystems.com/)
- remove psaux-2.4.9-combined.diff, because wheel mouse is not affective
- update alsa-driver to 0.5.12

* Sun Nov  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-10k)
- modify cipe patch
- modify typo

* Sun Nov  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-8k)
- update ipvs to 0.9.6

* Sun Nov  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-6k)
- backport from Jirai

* Sun Nov  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-7k)
- merge to STABLE
- import linux-2.4.9-tty.patch from rh 2.4.9-13 for security fix
- set y at CONFIG_UDF_RW for all kernels but BOOT kernel
- import linux-2.4.9-440gx-apic.patch and linux-2.4.9-megaraid.patch from rh 2.4.9-13

* Thu Nov  1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-50k)
- modify cipe patch to work correct...
- import hubcot patch

* Wed Oct 31 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-48k)
- update lvm to 1.0.1-rc4
- import promisc patch from T. SEKINE

* Tue Oct 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-46k)
- correct PreReq tag

* Sun Oct 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-44k)
- add alpha-irongate.resolved.patch for Alpha Architecture, especially Nautilus
- modify cipe patch
- add psaux-2.4.9-combined.diff from kazuhiko

* Fri Oct 26 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-5k)
- update ext3 patch

* Thu Oct 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.13-3k)
- update to 2.4.13

* Wed Oct 24 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-42k)
- revive cipe for many required

* Tue Oct 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-40k)
- set n at CONFIG_APM_DISPLAY_BLANK, CONFIG_APM_DO_ENABLE and CONFIG_APM_REAL_MODE_POWER_OFF

* Mon Oct 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-38k)
- affect apm-power-off.patch
- import linux-2.4.9-apm.patch from rh 2.4.9-6
- modify linux-2.4.13-pre5-to-pre6.patch for alpha

* Sun Oct 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-36k)
- import some patches from linux-2.4.13-pre6
- obtain e100 and e1000 man files to kernel-utils

* Sat Oct 20 2001 MATSUDA, Daiki <dyky@df-uas.com>
- (2.4.10-34k)
- add linux-2.4.13-pre3-via-rhine.patch for fix via-rhine
- add rh-2.4.9-ptrace-security-fix.patch for security fix but ix86
- set 0 at ix86 optional kernel

* Fri Oct 19 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-32k)
- update jfs to 1.0.8
- update ipvs to 0.9.5
- back port some drivers from 2.4.13-pre5
- build with gcc on all architecture

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.12-3k)
- update to 2.4.12 for Jirai
- errased ext3 function temporally

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-30k)
- apply linux-2.4.x-MACADDRESS-security.patch...sorry

* Mon Oct 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-28k)
- update aic7xxx to 6.2.4
- update udf to 0.9.5
- add usbkbd.patch for resolving problem USB jp106 keyboard

* Fri Oct 12 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-26k)
- add linux-2.4.x-MACADDRESS-security.patch for security fix (http://www.securityfocus.com/bid/3418)
- modify linux-2.4.13-pre1-net.patch for resolve Unresolved Symbol of ppp_synctty

* Thu Oct 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-24k)
- backport and add linux-2.4.13-pre1-usb.patch, linux-2.4.13-pre1-net.patch, linux-2.4.13-pre1-sound.patch,
- linux-2.4.13-pre1-symlink.patch, linux-2.4.13-pre1-irlmp.fix.patch, linux-2.4.11-pre6-alpha-smp.patch and
- linux-2.4.13-pre1-parport.patch
- rename and modify linux-2.4.10-ppc-atomic.h-mukimukiiraira.patch to linux-2.4.10-asm-ppc-mukimukiiraira.patch
- set enable serial console on Alpha BOOT kernel

* Wed Oct 10 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-22k)
- update jfs to 1.0.7
- update aacraid patch to 20011009
- update Prism2 to 2001-09-27
- obsoletes cipe
- add linux-2.4.10-ppc-atomic.h-mukimukiiraira.patch for PPC...Muki!
- add linux-2.4.10-ppc-mmu_gather.patch for PPC smp build

* Sun Oct  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-20k)
- modify spec file to make many specific kernels, for Coppermine, Pentium4,
  K7, DP264, Nautilus and Wildfire
- add linux-2.4.11-pre3-to-pre4-alpha.patch for Alpha Architecture
- modify spec file not to build smp kernel on Alpha
- update xfs to 2001-10-03
- update aacraid to 2001-09-25

* Thu Oct  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-18k)
- add linux-2.4.11-pre2.lockd.patch
- add linux-2.4.11-pre3-ieee1394.patch
- modify genhc.c.patch to linux-2.4.11-pre3-ieee1394.patch

* Tue Oct  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-16k)
- add linux-2.4.11-pre2.lockd.patch

* Mon Oct  1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-14k)
- add linux-2.4.10-ac2-genhd.c.patch for resolving /proc/partition infinite loops

* Sun Sep 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-12k)
- update jfs to 1.0.6

* Fri Sep 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-10k)
- add xfs funcation
- update usagi patch

* Thu Sep 27 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-8k)
- revive ext3 patch
- set serial driver static

* Tue Sep 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-6k)
- set n for ATARAID on ppc and Alpha Architecture
- set y at ataraid on i586-BOOT kernel
- add patch-to-2.4.10 for ataraid

* Mon Sep 24 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-4k)
- update ksymoops to 2.4.3
- set m for CONFIG_REISERFS_FS

* Mon Sep 24 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-2k)
- update to 2.4.10
- set module for ip_tables

* Sat Sep 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0015002k)
- update to 2.4.10-pre15
- update aic7xxx driver to 6.2.3
- update e100 driver to 1.6.22
- update e1000 driver to 3.1.23
- update ipvs to 0.9.4

* Fri Sep 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0014002k)
- update to 2.4.10-pre14

* Thu Sep 20 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0013002k)
- update to 2.4.10-pre13

* Wed Sep 19 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0012002k)
- update to 2.4.10-pre12
- remove ataraid patch because original source includes it

* Tue Sep 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0011004k)
- add linux-2.4.10-pre11.sched.c.patch
- add linux-2.4.10-pre11-analog.c.patch
- remove linux-2.4.10pre7-ipvs.fix.patch for following ext3 patch

* Mon Sep 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0011002k)
- update to 2.4.10-pre11
- removed ext3 patch temporary or maybe forever

* Thu Sep 13 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0008006k)
- added linux-2.4.10pre8-alpah.personality.patch for Alpha Architecture

* Wed Sep 12 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0008004k)
- add linux-2.4.10pre8-ppc.muki.patch for PPC

* Tue Sep 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0008002k)
- update to 2.4.10pre8

* Mon Sep 10 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0007002k)
- update to 2.4.10pre7
- add ext2 patch
- add jfs patch

* Sun Sep  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0006004k)
- add linux-2.4.10pre6.hgoe_gendisk.resolve.patch for resolving

* Sat Sep  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0006002k)
- update to 2.4.10pre6

* Sat Sep  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0005004k)
- add linux-2.4.10pre5.rme96xx.c.patch for resolving symbol for PPC
- set n at CONFIG_SCSI_IN2000 for PPC

* Sat Sep  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0005002k)
- update to 2.4.10pre5, because some NFS bugs are modified by upper stream
- update usaig ipv6 patch to 20010908

* Tue Sep  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0004006k)
- add linux-2.4.10pre4-smp.build.patch for building SMP kernel on Alpha and PPC

* Mon Sep  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0004004k)
- modified linux-2.4.9-alpha-resolve.patch and rename to linux-2.4.10pre4-alpha-resolve.patch
- temporary remove smp kernel on Alpha and PPC
- add linux-2.4.10pre4-ppc.via-pmu.c.patch for PPC

* Sun Sep  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.10-0.0004002k)
- update to 2.4.10pre4
- modify ntfs.dollar.patch
- remove linux-2.4.9-ppc-airport.patch
- remove vt82338231.patch
- remove linux-2.4.1-uhci-slab.patch
- reimport linux-2.4.1-netfilter-addons.patch from RH kernel-2.4.3-12.src.rpm
- remake i2c patch
- remake ipvs patch and update to 0.9.3
- remove linux-2.4.1-hp8200.patch

* Sat Sep  1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-28k)
- modify usagi-ipv6 patch version to 20010831
- merge spec file to Jirai's

* Fri Aug 31 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-26k)
- add linux-2.4.9-ac5-atar for cheap ATA RAID Card
- add linux-2.4.9-reiserfs-sent.patch for ReiserFS

* Thu Aug 30 2001 Shingo Akagaki <dora@kondara.org>
- (2.4.9-24k)
- vt82cxxx.c version 3.26 (vt82338231.patch)

* Wed Aug 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-22k)
- add Prism2 patch
- modify all config files from UTF8 to utf8
- modify patch number for vt82338231.patch

* Wed Aug 29 2001 Shingo Akagaki <dora@kondara.org>
- (2.4.9-20k)
- add vt82338231.patch
- dyky sama! kakkoyoku please

* Wed Aug 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-18k)
- add linux-2.4.7-reiserfs-quota.diff.gz
- modify to use all defined C Compiler for ksymoops and devfsd

* Tue Aug 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-16k)
- requires upper gcc2.95.3-8k for building

* Tue Aug 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-14k)
- change to use gcc_2_95_3, because error occurs with egcs

* Mon Aug 20 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-12k)
- add linux-2.4.9-alpha-resolve.patch for unresolved modules on Alpha Architecture
- update devfsd 1.3.17

* Sun Aug 19 2001 Toru Hoshina <toru@df-usa.com>
- (2.4.9-10k)
- fix'n add some patcies for ppc platform.

* Sat Aug 18 2001 KUSUNOKI, Masanori <nori@kondara.org>
- (2.4.9-11k)
- Usagi updated to 20010818 (include crypto modules)
- BlueZ driver updated to 1.1
- devfsd update to 1.3.13
- ALSA back to 0.5.11

* Sat Aug 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-8k)
- add usagi-IPv6 patch to Patch Entry, but not used
- fix all config files for usagi-IPv6

* Sat Aug 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-6k)
- set IPV6 on all config files but BOOT.config

* Thu Aug 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-4k)
- revive kondara-linux-2.4.2-oom-fixup.patch

* Thu Aug 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.9-2k)
- update to 2.4.9

* Wed Aug 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.8-6k)
- modified configs for Alpha, i.e. CONFIG_DISCONTIGMEM is not set

* Wed Aug 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.8-4k)
- revive comx.resolved.patch for resolving
- errased linux-2.4.2-binfmt-misc.patch

* Tue Aug 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.8-2k)
- update to 2.4.8
- update ipvs to 0.9.2
- update i2c and lm_sensores to 2.6.1-20010814(CVS)
- update e100 to 1.6.13
- update e1000 to 3.0.16
- update aacraid to 20010811
- errased and modified many patches
- fixed i586 and alpha configs, but not yet ppc and alphaev5

* Sat Aug 11 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.4.4-32k)
  added kernel-2.4-alphaev5.config and kernel-2.4-alphaev5-BOOT.config

* Mon Aug  3 2001 Toru Hoshina <toru@df-usa.com>
- (2.4.4-28k)
- CONFIG_SCSI_AIC7XXX, CONFIG_SCSI_NCR53C8xx and CONFIG_SCSI_SYM53C8XX
  are turned y at alphaev5 platform in order to add disgusting PC164 support.
- expand ramdisk size to 8192KB not only BOOT but all kind of intel pkgs.

* Sat Jul 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-26k)
- add linux-2.4.5-fat.patch for large volume MO
- add linux-2.4.4-dc395x-133.patch fro Tekram DC395/U/UW and DC315/U
- add linux-2.4.4-sony-memorystick-msc-u01.patch
- update lm_sensors to 2.6.0
- add i2c to 2.6.0

* Fri Jun 29 2001 Toru Hoshina <toru@df-usa.com>
- (2.4.4-24k)
- add alphaev5 support.

* Thu Jun 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-22k)
- set y at QoS
- update freeswan to 1.9.1

* Mon Jun 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-20k)
- added freeswan-for_2.4.4_fix.patch2 for freeswan
- update e100 dirver to 1.6.6

* Tue Jun  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-18k)
- add kondara-2.4.4-xircom-tulip.patch from 2.4.4-ac9 instead of
   kondara-2.4.5-xircom-tulip.patch becuase unstable

* Tue Jun  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-16k)
- modified xircom-tulip.patch by 2.4.5-ac8
- add linux-2.4.3-xircom-serial.patch from RawHide 2.4.3-7
- set y at CONFIG_RTC on Alpha architecture

* Wed May 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-14k)
- add linux-2.4.5.fork.patch from kernel-2.4.5 for other application stablity
- add alsa-driver.optimize.patch for alsa-driver optimization

* Tue May 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-12k)
- add ppc.down_read_write_failed.resolved.patch for resolving dependency on PPC
- add ntfs.dollar.patch...MUKI---!!!!

* Tue May 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-10k)
- add kondara-2.4.4-alpha-resolved.patch for resolving dependency on Alpha

* Sun May 27 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-8k)
- fixe ip_vs.h location by ipvs_fix.patch
- set 18 at CONFIG_IP_VS_TAB_BITS
- set n at CONFIG_IP_VS_DEBUG

* Fri May 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-6k)
- modified e100-1.6.5-static.patch correctly
- unset CONFIG_BLK_DEV_OSB4 for safety

* Wed May 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-4k)
- update cpqarray driver to 2.4.4C
- update cciss driver to 2.4.5
- update megaraid driver to 1.15
- update gdth driver to 1.49
- update e100 driver to 1.6.5
- update e1000 driver to 3.0.10

* Sat May 19 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.4-2k)
- update to 2.4.4
- update aic7xxx to 6.1.13
- update alsa-driver to 0.5.11
- update ipvs to 0.9.0
- fixed some patch for 2.4.4 kernel
- add ips-4.72 patch
- change spec file to use sed instead of perl

* Fri May 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-22k)
- add quota patch for reiserfs (Patch30: reiserfs-quota-2.4.3.dif.bz2)

* Fri May 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-20k)
- become ramdisk size of BOOT kerenl on x86 to 8192
- set y at CONFIG_INPUT_ADBHID, CONFIG_MAC_ADBKEYCODES and CONFIG_AC_EMUMOUSEBTN
   on PPC architecture
- modified the bug to be seized the /lib/modues/kernel-VERSION-REL dir by smp
   kernel
- set y at CONFIG_IDE, CONFIG_BLK_DEV_IDE and CONFIG_BLK_DEV_IDEDISK, because
   if they are modules, hard disk drive geometry looks like broken
- set y at CONFIG_FB_ATY and CONFIG_FB_ATY128 on PPC architecture
- modified %post section
- set m at CONFIG_APM again
- add 3 patches from compaq, i.e. cpqarray, cciss and cpqfc

* Fri May  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-18k)
- set y at CONFIG_BSD_PROCESS_ACCT for psacct

* Thu May  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-16k)
- revive %post section
- set m at CONFIG_AGP on i586 BOOT kernel, because enabling
   to set up X on installation on i810 and i815 box

* Wed May  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-14k)
- errased PreReq tag and %post section at single and smp kernel
- modified to use gcc_2_95_3 instead of 'gcc -V 2.95.3' on PPC

* Tue May  1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-12k)
- set y at CONFIG_AIC7XXX, CONFIG_SCSI_MESH, CONFIG_SCSI_MAC53C94, CONFIG_MACE,
   CONFIG_BMAC, CONFIG_GMAC, CONFIG_NCR885E ,CONFIG_HFS_FS and
   CONFIG_BLK_DEV_SR on ppc BOOT kernel
- set y at CONFIG_APM on x86 architecture

* Thu Apr 26 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-10k)
- errase CONFIG_PC110_PAD from i586 BOOT kernel, because conflicts IRQ
- update ipvs patch to 0.2.10
- add linux-2.4.3-knfsd-6.g.patch.gz
- add alphpa.ksyms.resove.patch for resolving modules on Alpha Architecture and
   errased linux-2.4.1-alphaksyms.patch
- undefine some ISA NIC modules, i.e. 3c503 ac3200 es3210, smc-ultra,
   smc-ultra32 and wd on Alpha Architecture
- add mtrr.c.v1.40.patch for Athlon mtrr bug fix and remove
   linux-2.4.2-cyrixiii.patch
- enable ReiserFS on Alpha Architecture
- make alpha boot kernel slim
- set y at CONFIG_BLK_DEV_LOOP on alpha BOOT kernel

* Wed Apr 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-8k)
- CONFIG_8139TOO_PIO is not set, because if it is set, the card is not driven
- errased linux-2.4.3-netgear.fa31x.patch, because it is not driven.
   I suggest to use natsemi instead of fa311
- add asm-m68k ppc package
- add linux-agpgart-ppc.patch (tom@digitalfactory.co.jp)
- not apply linux-2.4.3-changeloop.patch execpt BOOT kernel
   support agpgart and drm on r128, radeon and mga on PPC architecture
- add ymfpci.c.udelay.patch for not unresolve on PPC architecture
- modified spec file not to use egcs but to use gcc -V 2.95.3 on PPC architecture
- add comx.resolved.patch for resolved comx.o ... but
- add mobile_ipv6.resolved.patch for resolved mobile_ip6

* Sat Apr 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-6k)
- become BOOT kernel slim (i586)
- toshiba lap top as module (i586)
- nvram and rtc as static (i586)
- apm as module (i586)
- add linux-2.4.3-acpi_no-idle.patch
- add linux-G4ether.patch (tom@digitalfactory.co.jp)
- add linux-2.4.3-freeswan-1.9.patch
- add linux-aic7xxx-6.1.11-2.4.3.patch.gz
- errased IPV6 vervose debug
- add linux-2.4.3-netgear.fa31x.patch
- add linux-2.4.3-cipe-1.5.1.patch
- update ipvs to 0.2.9
- add fbcon.c.largelogo.patch

* Sat Apr  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-4k)
- backport from Jirai

* Thu Apr  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-5k)
- import ipvs-0.2.8 patch
- import aacraid patch
- import many patches from RawHide
- errased common packages
- statically embedded ide driver on ppc

* Wed Apr  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-3k)
- update Usagi IPv6 patch to 04022001

* Tue Apr  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.3-2k)
- update to 2.4.3
- errased pcmcia-cs package
- errased reiserfs-utils package
- upadte e100 driver to 1.5.5a
- update e1000 driver to 3.0.7
- update nsp_cs driver to 2.5
- udpate alsa-driver to 0.5.10b

* Mon Jan  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-7k)
- update reiserfs to 3.6.25
- update alsa-driver to 0.5.10a
- import nsp_cs driver
- added utils package

* Fri Jan  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-5k)
- modified e100.patch and added smctr.c.patch for resolving
- modfiled *.config
- update ksymoops to 2.4.0
- added enginer.haigyou.patch

* Thu Jan  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-3k)
- update to 2.4.0

* Tue Jan  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.0013011k)
- update to 2.4.0-prerelease...#-_-

* Sat Dec 30 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.0013009k)
- update to test13-pre7
- update usagi patch to 20001225

* Fri Dec 22 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.0013007k)
- update to test13-pre4

* Wed Dec 20 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.0013005k)
- update to test13-pre3
- update pcmcia to 3.1.23
- update reiserfs to 3.6.23

* Tue Dec 12 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.0013003k)
- update to test13-pre2
- errased usagi patch temporarily

* Sat Dec  9 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.0012009k)
- update alsa-driver to 0.5.10
- update reiserfs to 3.6.22
- update ksymoops to 2.3.5

* Wed Dec  6 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.0012007k)
- update test12-pre7
- update IPv6 USAGI patch

* Wed Nov 29 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01201)
- updated test12-pre3
- imported e100.patch
- imported e1000.patch

* Tue Nov 28 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01104)
- used %{_initscriptdir}
- changed alsa-driver-install.fhs.patch

* Mon Nov 20 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01103)
- update to test11

* Thu Nov 18 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01102)
- update to test11-pre7
- rename reiserfs-utils to reiserfs-utils24...dasa

* Wed Nov  8 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01101)
- modified problem some packages seize same files
- update to test11-pre1
- update pcmcia-cs to 3.1.22

* Thu Nov  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01010)
- compliant to devfs

* Wed Nov  1 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01009)
- update to real 2.4.0-test10
- modified usagi patch because tab ga hennkou wo tobashita!

* Tue Oct 31 2000 Takaaki Tabuchi <tab@kondara.org>
- (2.4.0-0.01008)
- update usagi patch to 20001101a

* Sun Oct 29 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01007)
- added devfsd and reiserfs-utils

* Fri Oct 27 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01006)
- added ksymoops

* Thu Oct 26 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01005)
- update to test10-6

* Thu Oct 26 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01004)
- enable to build on Alpha Architexture

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01003)
- update to test10-pre4
- update usagi patch 20001023

* Mon Oct 16 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01002)
- enable to build on Alpha Architecture

* Mon Oct 16 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.01001)
- enclosed pcmcia-cs and alsa-driver sources in sources package
- import USAGE IPv6 patch
- update reiserfs to 3.6.18
- update alsa-driver to 0.5.9d
- added Provides tag in each packages
- changed IPv6 configs statically

* Fri Oct  6 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.00905)
- enable to build on ALPHA Architecture
- BOOT.confg has static config ISO9660

* Wed Oct  5 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.00904)
- enclosed pcmcia-cs
- enclosed modules.dep and modules.pcimap files

* Wed Oct  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.00903)
- update 2.4.0-test9
- embeded ramdisk staticaly

* Mon Oct  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.00902)
- update 2.4.0-test9-pre9
- Build ALSA driver

* Sat Sep 30 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.4.0-0.0090701)
- Initial release
